<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Ippo
 */

$paging_type = get_theme_mod( 'paging_setting', 'infinite-scroll' );

get_header(); ?>

	<?php if ( !is_category() || !get_theme_mod( 'category_filter_setting', 1 ) ) : ?>

		<header class="page-header">
			<?php
				ippo_archive_title( '<h1 class="page-title">', '</h1>' );
				the_archive_description( '<div class="taxonomy-description">', '</div>' );
			?>
		</header><!-- .page-header -->

	<?php endif; ?>

	<div class="container main-container">
		<div class="row">

			<div id="primary" class="content-area <?php ippo_content_classes(); ?>">
				<main id="main" class="site-main" role="main">

				<?php

					if ( have_posts() ) { ?>


						<div class="row">
							<div class="masonry" id="post-load">

								<div class="<?php ippo_grid_sizer_class(); ?>"></div>

								<?php

								while (have_posts()) : the_post();

									get_template_part('templates/template-parts/content', get_post_format());

								endwhile;

								if ('infinite-scroll' == $paging_type) {
									ippo_is_pagination();
								}

								?>

							</div><!-- .masonry -->
						</div><!-- .row -->

						<?php

						if ('infinite-scroll' != $paging_type) {
							// Archives numbered paging
							ippo_numbers_pagination();
						}

					} else {

						get_template_part('templates/template-parts/content', 'none');

					}

				?>

				</main><!-- #main -->
			</div><!-- #primary -->

			<?php get_sidebar(); ?>

		</div><!-- .row -->
	</div><!-- .container -->

<?php
get_footer();
