(function($) { 'use strict';

	var w=window,d=document,
	e=d.documentElement,
	g=d.getElementsByTagName('body')[0];
	var x=w.innerWidth||e.clientWidth||g.clientWidth, // Viewport Width
	y=w.innerHeight||e.clientHeight||g.clientHeight; // Viewport Height

	// Global Vars

	var $window = $(window);
	var body = $('body');
	var htmlOffsetTop = parseInt($('html').css('margin-top'));
	var mainHeader = $('#masthead');
	var mainContent = $('#content');
	var primaryContent = $('#primary');
	var sidebar = $('#secondary');

	// Checkbox and Radio buttons

	//if buttons are inside label
	function radio_checkbox_animation() {
		var checkBtn = $('label').find('input[type="checkbox"]');
		var checkLabel = checkBtn.parent('label');
		var radioBtn = $('label').find('input[type="radio"]');

		checkLabel.addClass('checkbox');

		checkLabel.click(function(){
			var $this = $(this);
			if($this.find('input').is(':checked')){
				$this.addClass('checked');
			}
			else{
				$this.removeClass('checked');
			}
		});

		var checkBtnAfter = $('label + input[type="checkbox"]');
		var checkLabelBefore = checkBtnAfter.prev('label');

		checkLabelBefore.click(function(){
			var $this = $(this);
			$this.toggleClass('checked');
		});

		radioBtn.change(function(){
			var $this = $(this);
			if($this.is(':checked')){
				$this.parent('label').siblings().removeClass('checked');
				$this.parent('label').addClass('checked');
			}
			else{
				$this.parent('label').removeClass('checked');
			}
		});
	}

	// Format image

	function formatImg(){
		// find post format image link
		var post_image_link = $('.masonry .format-image figure.featured-image').find('a');

		if(x < 768 && post_image_link.length){
			// remove thickbox class and replace href with post permalink
			post_image_link.removeClass('thickbox');

			post_image_link.each(function(){

				var $this = $(this);

				// Get permalink from data attr and content class
				var post_permalink = $this.data('post_url');
				var post_content_class = $this.attr('class');

				if(post_content_class.indexOf('no-content') >= 0){
					$this.find('img').unwrap();
				}
				else {
					$this.attr('href', post_permalink);
				}
			});

		}

		// set link on image post format for tablets
		if(x > 767 && x <= 1024){
			// remove thickbox class and replace href with post permalink
			post_image_link.each(function(){

				var $this = $(this);

				// Get permalink from data attr and content class
				var post_permalink = $this.data('post_url');
				var post_content_class = $this.attr('class');

				if(post_content_class.indexOf('no-content') < 0){
					$this.attr('href', post_permalink).removeClass('thickbox');
				}
			});
		}
	}

	// Format Video

	function videoFormat(){
		var entryVideo = $('div.entry-video');

		if(entryVideo.length){
			entryVideo.each(function(){
				var $this = $(this);

				$this.find('.featured-image').closest('.entry-video').addClass('has-img');
			});
		}
	}

	// Thickbox

	if(!body.hasClass('single')){

		var videoThickbox = function (){
			var thickboxVideo = $('.format-video a.thickbox');

			if(thickboxVideo.length){
				thickboxVideo.on('click touchstart', function(){
					setTimeout(function(){
						$('#TB_window').addClass('format-video');
					}, 200);
				});
			}
		};

	}

	// Product hover in products

	var multiImgProdctFunc;

	if(body.hasClass('woocommerce')){
		multiImgProdctFunc = function (){
			var productList = $('ul.products');

			if(productList.length){
				var multiImgProduct = productList.find('.product a img + img');
				multiImgProduct.closest('.product').addClass('multi-img');
			}
		};
	}

	// Wide images

	function wideImages(){
		if(body.hasClass('single-post') || body.hasClass('page') && !body.hasClass('page-template-template-headline') && !body.hasClass('page-template-template-portfolio')){

			var centerAlignImg = $('.content-area.col-sm-12 .aligncenter');

			if(centerAlignImg.length){
				x=w.innerWidth||e.clientWidth||g.clientWidth; // Viewport Width

				primaryContent.imagesLoaded(function(){
					centerAlignImg.each(function(){
						var $this = $(this);
						var centerAlignImgWidth;
						var entryContentWidth = $('.entry-content').width();

						if($this.is('img')){
							centerAlignImgWidth = $this.prop('naturalWidth');
						}
						else{
							centerAlignImgWidth = $this.find('img').prop('naturalWidth');
							if(x > 1280){
								$this.css({width: centerAlignImgWidth});
							}
							else{
								$this.css({width: ''});
							}
						}


						if(x > 1280){
							if(centerAlignImgWidth > entryContentWidth){
								if(centerAlignImgWidth > 1200){
									$this.css({marginLeft: -((1200 - entryContentWidth) / 2)});
								}
								else{
									$this.css({marginLeft: -((centerAlignImgWidth - entryContentWidth) / 2)});
								}
								$this.css({opacity: 1});
							}
							else{
								$this.css({opacity: 1});
							}
						}
						else{
							$this.css({marginLeft: ''});
						}
					});
				});

			}

		}
	}

	$(document).ready(function($){

		// Calculate clients viewport

		var x=w.innerWidth||e.clientWidth||g.clientWidth, // Viewport Width
		y=w.innerHeight||e.clientHeight||g.clientHeight; // Viewport Height

		// Global Vars

		var wScrollTop = $window.scrollTop();

		/**
		 * Handles toggling the navigation menu for small screens and enables tab
		 * support for dropdown menus.
		 */
		( function() {
			var container, button, menu, links, subMenus, i, len, body;

			body = document.getElementsByTagName( 'body' )[0];

			container = document.getElementById( 'site-navigation' );
			if ( ! container ) {
				return;
			}

			button = container.getElementsByTagName( 'button' )[0];
			if ( 'undefined' === typeof button ) {
				return;
			}

			menu = container.getElementsByTagName( 'ul' )[0];


			// Hide menu toggle button if menu is empty and return early.
			if ( 'undefined' === typeof menu ) {
				button.style.display = 'none';
				return;
			}

			menu.setAttribute( 'aria-expanded', 'false' );
			if ( -1 === menu.className.indexOf( 'nav-menu' ) ) {
				menu.className += ' nav-menu';
			}

			var menuButton = $('#site-navigation > button');

			menuButton.on('click', function(){
				if ( -1 !== container.className.indexOf( 'toggled' ) ) {
					container.className = container.className.replace( ' toggled', '' );
					body.className = body.className.replace( ' nav-opened', '' );
					button.setAttribute( 'aria-expanded', 'false' );
					menu.setAttribute( 'aria-expanded', 'false' );
				} else {
					body.className += ' nav-opened';
					container.className += ' toggled';
					button.setAttribute( 'aria-expanded', 'true' );
					menu.setAttribute( 'aria-expanded', 'true' );
				}
			});

			// Get all the link elements within the menu.
			links    = menu.getElementsByTagName( 'a' );
			subMenus = menu.getElementsByTagName( 'ul' );

			// Set menu items with submenus to aria-haspopup="true".
			for ( i = 0, len = subMenus.length; i < len; i++ ) {
				subMenus[i].parentNode.setAttribute( 'aria-haspopup', 'true' );
			}

			// Each time a menu link is focused or blurred, toggle focus.
			for ( i = 0, len = links.length; i < len; i++ ) {
				links[i].addEventListener( 'focus', toggleFocus, true );
				links[i].addEventListener( 'blur', toggleFocus, true );
			}

			/**
			 * Sets or removes .focus class on an element.
			 */
			function toggleFocus() {
				var self = this;

				// Move up through the ancestors of the current link until we hit .nav-menu.
				while ( -1 === self.className.indexOf( 'nav-menu' ) ) {

					// On li elements toggle the class .focus.
					if ( 'li' === self.tagName.toLowerCase() ) {
						if ( -1 !== self.className.indexOf( 'focus' ) ) {
							self.className = self.className.replace( ' focus', '' );
						} else {
							self.className += ' focus';
						}
					}

					self = self.parentElement;
				}
			}
		} )();

		// Demo iFrame fix

		if( window.self !== window.top ) {
			if(x > 1024){
				body.css({width: 'calc(100vw - 15px)'});
			}
			else{
				body.css({width: '100vw'});
			}
		}

		// Outline none on mousedown for focused elements

		body.on('mousedown', '*', function(e) {
			if(($(this).is(':focus') || $(this).is(e.target)) && $(this).css('outline-style') == 'none') {
				$(this).css('outline', 'none').on('blur', function() {
					$(this).off('blur').css('outline', '');
				});
			}
		});

		// Disable search submit if input empty
		$( '.search-submit' ).prop( 'disabled', true );
		$( '.search-field' ).keyup( function() {
			$('.search-submit').prop( 'disabled', this.value == "" ? true : false );
		});

		// Main Header

		// sticky

		if(body.hasClass('sticky-header') && x > 767){
			mainContent = $('body:not(.fullwidth-slider) #content');

			setTimeout(function(){
				mainContent.css({marginTop: (mainHeader.outerHeight())});
			}, 300);

			var stickyHeaderBgColor = function(){
				var headerBgColor = mainHeader.data('bg-color');
				var mainHeaderSubMenu = mainHeader.find('.sub-menu');
				var mainHeaderAll = mainHeader.add(mainHeaderSubMenu);

				if($window.scrollTop() > 80 && !body.hasClass('fullwidth-slider')){
					mainHeaderAll.css({backgroundColor: headerBgColor});
				}
				else if($window.scrollTop() > (y - mainHeader.outerHeight() - htmlOffsetTop) && body.hasClass('fullwidth-slider')){
					mainHeaderAll.css({backgroundColor: headerBgColor});
				}
				else{
					mainHeaderAll.css({backgroundColor: ''});
				}
			};
			stickyHeaderBgColor();

			$window.scroll(function(){
				setTimeout(function(){
					stickyHeaderBgColor();
				}, 200);
			});

		}

		// show content

		body.css({opacity: 1});

		// dropdown button

		var mainMenuDropdownLink = $('.nav-menu .menu-item-has-children > a, .nav-menu .page_item_has_children > a');
		var dropDownArrow = $('<a href="#" class="dropdown-toggle"><span class="screen-reader-text">toggle child menu</span><i class="icon-drop-down"></i></a>');

		mainMenuDropdownLink.after(dropDownArrow);

		// dropdown open on click

		var dropDownButton = mainMenuDropdownLink.next('a.dropdown-toggle');

		dropDownButton.on('click', function(e){
			e.preventDefault();
			var $this = $(this);
			$this.parent('li').toggleClass('toggle-on').find('.toggle-on').removeClass('toggle-on');
			$this.parent('li').siblings().removeClass('toggle-on');
		});

		// Featured Slider

		var slider;
		var direction;

		if(body.hasClass('rtl')){
			direction = true;
		}
		else{
			direction = false;
		}

		if(body.hasClass('fullwidth-slider')){

			slider = $('article.featured-slider');
			var sliderWrap = slider.parent('.featured-slider-wrap');
			var slide = slider.find('section');

			sliderWrap.css({top: htmlOffsetTop});

			if(x > 768){
				slide.height(y - htmlOffsetTop);
			}
			else{
				slide.height('360px');
			}

			if(x > 1024){
				if(body.hasClass('sticky-header')){
					mainContent.css({marginTop: (y - htmlOffsetTop)});
				}
				else{
					mainContent.css({marginTop: (y - mainHeader.outerHeight() - htmlOffsetTop)});
				}

				var sliderHeader = slider.find('.slide-text');
			}
			else{
				mainContent.css({marginTop: ''});
			}

			slider.slick({
				slide: 'section',
				infinite: true,
				speed: 800,
				fade: true,
				useTransform: true,
				centerMode: true,
				centerPadding: 0,
				initialSlide: 0,
				dots: false,
				touchThreshold: 20,
				slidesToShow: 1,
				useCSS: true,
				cssEase: 'easeOutQuad',
				rtl: direction,
				responsive: [
					{
						breakpoint: 769,
						settings: {
							draggable: true,
							centerPadding: 0,
							arrows: false,
							dots: true
						}
					}
				],
			});

			// show slider after init
			setTimeout(function(){
				slider.closest('.featured-slider-wrap').css({opacity: 1});
			}, 2000);

			var fullwidthSlider = function() {
				var sliderHeight = slider.outerHeight();
				if(x > 1024){
					if(wScrollTop > 0){
						slider.css({opacity: (sliderHeight - wScrollTop) / sliderHeight});
					}
					else{
						slider.css({opacity: 1});
					}
				}
			};
			fullwidthSlider();

			$window.scroll(function(){
				setTimeout(function(){
					wScrollTop = $(window).scrollTop();
					fullwidthSlider();
				}, 200);
			});
		}

		radio_checkbox_animation();

		if($('body[class*="woocommerce"]').length){
			setTimeout(function(){
				radio_checkbox_animation();
			}, 3000);

			$(document.body).on('updated_checkout', function(){
				var checkBtn = $('label').find('input[type="checkbox"]');
				var checkLabel = checkBtn.parent('label');

				if(checkLabel.find('input').is(':checked')){
					checkLabel.addClass('checked');
				}
				else{
					checkLabel.removeClass('checked');
				}

				radio_checkbox_animation();
			});

		}

		// Template Headline

		if(body.hasClass('page-template-template-headline')){
			var headline = $('div.headline-content-container');
			mainContent.prepend(headline);
			setTimeout(function(){
				headline.addClass('show-headline');
			}, 800);
		}

		// Format image

		formatImg();

		// big search field

		var bigSearchWrap = $('div.search-wrap');
		var bigSearchField = bigSearchWrap.find('.search-field');
		var bigSearchTrigger = $('#big-search-trigger');
		var bigSearchClose = $('#big-search-close');

		bigSearchClose.on('touchend click', function(e){
			e.preventDefault();
			var $this = $(this);
			if(body.hasClass('big-search')){
				body.removeClass('big-search');
				setTimeout(function(){
					$this.siblings('.search-wrap').find('.search-field').blur();
				}, 100);
			}
		});

		bigSearchTrigger.on('touchend click', function(e){
			e.preventDefault();
			e.stopPropagation();
			var $this = $(this);
			body.addClass('big-search');
			setTimeout(function(){
				$this.siblings('.search-wrap').find('.search-field').focus();
			}, 100);
		});

		bigSearchField.on('touchend click', function(e){
			e.stopPropagation();
		});

		// Featured image - Portrait / Remove Post Navigation on scroll

		if(body.hasClass('single-post')){

			var portraitImg = $('.featured-portrait');
			var postNav = $('.posts-navigation');

			if(portraitImg.length){
				var portraitSibling = $('.entry-header');

				if(x > 767){
					portraitSibling.after(portraitImg);
					portraitImg.parent().addClass('portrait-wrap');
					portraitImg.css({opacity: 1});
				}
			}

			var hidePostNav = function() {
				var siteFooterOffsetTop = $('#colophon').offset().top;
				if(x > 1024){
					if(wScrollTop > (siteFooterOffsetTop - y - 100)){
						postNav.addClass('hide-nav');
					}
					else{
						postNav.removeClass('hide-nav');
					}
				}
			};
			hidePostNav();

			$window.scroll(function(){
				setTimeout(function(){
					wScrollTop = $(window).scrollTop();
					hidePostNav();
				}, 200);
			});

		}

		// Product hover in products

		if(body.hasClass('woocommerce')){
			multiImgProdctFunc();
		}

		// Dropcaps

		if(body.hasClass('single-post') || body.hasClass('page')){

			var dropcap = $('span.dropcap');
			if(dropcap.length){
				dropcap.each(function(){
					var $this = $(this);
					$this.attr('data-dropcap', $this.text());
				});
			}

		}

		// Sharedaddy

		function shareDaddy(){
			var shareTitle = $('.sd-title, .share-trig');

			if(shareTitle.length){
				shareTitle.on('click', function(){
					$(this).closest('.sd-social, .product-share-wrap').toggleClass('sd-open');
				});
			}
		}

		shareDaddy();

		// Back to top

		if(x > 1024){
			var toTopArrow = $('a.back-to-top');

			toTopArrow.on('click touchstart', function (e) {
				e.preventDefault();
				$('html, body').animate({scrollTop: 0}, 800, 'swing');
				return false;
			});

			$(window).scroll(function () {
				var $this = $(this);
				if($this.scrollTop() > 600) {
					toTopArrow.fadeIn();
				}
				else{
					toTopArrow.fadeOut();
				}
			});
		}

		// Gallery with full size images

		function galleryFullSizeImg(){
			var fullSizeThumbGallery = $('div.gallery-size-full');

			if(fullSizeThumbGallery.length){
				fullSizeThumbGallery.each(function(){
					var $this = $(this);
					var galleryItemCount = $this.find('.gallery-item').length;
					if(body.hasClass('single')){
						$this.append('<span class="gallery-count">01 / 0'+galleryItemCount+'</span>');
					}
					else{
						$this.parent().addClass('fullsize-gallery').siblings().find('.edit-link').append('<span class="gallery-count">01 / 0'+galleryItemCount+'</span>');
					}
				});
			}
		}

		galleryFullSizeImg();

		// Format Video

		videoFormat();

		// Thickbox

		if(!body.hasClass('single')){

			videoThickbox();

		}

		// If single has sidebar

		if(sidebar.length){
			$('body:not(.woocommerce) #primary').addClass('has-sidebar');
		}

	}); // End Document Ready

	$(window).load(function(){

		// Calculate clients viewport

		var x=w.innerWidth||e.clientWidth||g.clientWidth, // Viewport Width
		y=w.innerHeight||e.clientHeight||g.clientHeight; // Viewport Height

		// Global Vars

		body.addClass('page-loaded');

		// Center aligned images

		wideImages();

		if(body.hasClass('single-post') || body.hasClass('page') && !body.hasClass('page-template-template-headline') && !body.hasClass('page-template-template-portfolio')){

			var centerAlignImg = $('.content-area.col-sm-12 .aligncenter');

			if(centerAlignImg.length){
				centerAlignImg.each(function(){
					var $this = $(this);

					var centerAlignImgWidth = $this.width();
					var entryContentWidth = $('.entry-content').width();

					if(x > 1280){
						if(centerAlignImgWidth > entryContentWidth){
							$this.css({marginLeft: -((centerAlignImgWidth - entryContentWidth) / 2), opacity: 1});
						}
						else{
							$this.css({opacity: 1});
						}
					}
					else{
						$this.css({marginLeft: ''});
					}
				});

			}

		}

		// Masonry call

		var $masonryContainer = $('div.masonry');

		$masonryContainer.imagesLoaded( function() {
			$masonryContainer.masonry({
				columnWidth: '.grid-sizer',
				itemSelector: '.masonry article',
				transitionDuration: 0
			}).masonry('layout');

			var infiniteHandle = $('#infinite-handle');

			var masonryChild = $masonryContainer.find('article.hentry');

			infiniteHandle.css({opacity: 1});

			masonryChild.each(function(i){
				setTimeout(function(){
					masonryChild.eq(i).addClass('post-loaded animate');
				}, 200 * (i+1));
			});
		});

		// On Infinite Scroll Load

		var $container     = $('#post-load'),
			infiniteHandle = $('#infinite-handle'),
			no_more_posts  = js_vars.no_more_text,
			loadNumber     = 1;

		if(infiniteHandle.length){

			if(x > 1024){
				infiniteHandle.parent().css('margin-bottom', 180);
			}
			else{
				infiniteHandle.parent().css('margin-bottom', 110);
			}
		}

		var target = document.getElementById('loading-is');
		$('#loading-is').addClass('ball-scale').append('<div></div>');

		function spinnerShow(){
			$('#loading-is').show();
		}

		function spinnerHide(){
			$('#loading-is').hide();
		}

		$container.infinitescroll({
			navSelector  : '#infinite-handle',    // selector for the paged navigation
			nextSelector : '#infinite-handle .nav-next a',  // selector for the NEXT link (to page 2)
			itemSelector : '#post-load .hentry, #post-load .product',
			loading: {
				finishedMsg: no_more_posts,
				msgText: '',
				selector: '#loading-is'
			}
		},
		function(){

			// Reactivate masonry on post load

			var newEl;

			if($container.hasClass('masonry')){
				newEl = $container.children().not('article.post-loaded, span.infinite-loader, div.grid-sizer').addClass('post-loaded');
			}
			else{
				newEl = $container.children().not('li.product-loaded, span.infinite-loader, #infinite-handle, #loading-is').addClass('product-loaded');
			}

			newEl.hide();
			newEl.imagesLoaded(function () {

				// Reactivate masonry on post load

				if($container.hasClass('masonry')){
					$container.masonry('appended', newEl, true).masonry('reloadItems').masonry('layout');
				}

				setTimeout(function(){
					newEl.each(function(i){
						var $this = $(this);

						if($this.find('iframe').length){
							var $iframe = $this.find('iframe');
							var $iframeSrc = $iframe.attr('src');

							$iframe.load($iframeSrc, function(){
								$container.masonry('layout');
							});
						}

						// Gallery with full size images

						var fullSizeThumbGallery = $this.find('div.gallery-size-full');

						if(fullSizeThumbGallery.length){
							fullSizeThumbGallery.each(function(){
								var $this = $(this);
								var galleryItemCount = $this.find('.gallery-item').length;
								if(body.hasClass('single')){
									$this.append('<span class="gallery-count">01 / 0'+galleryItemCount+'</span>');
								}
								else{
									$this.parent().addClass('fullsize-gallery').siblings().find('.edit-link').append('<span class="gallery-count">01 / 0'+galleryItemCount+'</span>');
								}
							});
						}

						if(!$container.hasClass('masonry')){
							setTimeout(function(){
								newEl.eq(i).fadeIn(300);
							}, 200 * (i+1));
						}

						setTimeout(function(){
							newEl.eq(i).addClass('animate');
						}, 200 * (i+1));
					});
				}, 150);

				// Checkbox and Radio buttons

				radio_checkbox_animation();

				// Format image

				formatImg();

				// Format Video

				videoFormat();

				// Thickbox

				videoThickbox();

				// Product hover in products

				if(body.hasClass('woocommerce')){
					multiImgProdctFunc();
				}

			});

			// The maximum number of pages the current query can return.
			var max = parseInt( js_vars.maxPages );
			loadNumber++;
			spinnerHide();

			if ( js_vars.is_type == 'click' && loadNumber < max ) {
				// Display Load More button
				$('#infinite-handle').show();
			}

			if ( js_vars.is_type == 'scroll' && loadNumber == max ) {
				body.addClass('infinity-end');
			}
		});

		// If Infinite Scroll on scroll is choosen
		if ( 'infinite-scroll' == js_vars.paging_type && js_vars.is_type == 'scroll' ) {
			body.addClass('neverending');
			spinnerShow();
		}

		// If Infinite Scroll on click is choosen
		if ( 'infinite-scroll' == js_vars.paging_type && js_vars.is_type == 'click' ) {

			//Onclick InfiniteScroll
			$(window).unbind('.infscr');

			$("#infinite-handle .nav-next a").on('click', function(e){
				e.preventDefault();
				$container.infinitescroll('retrieve');
				spinnerShow();
				return false;
			});

		}

		if(body.hasClass('neverending') && body.hasClass('infinite-scroll')){
			var pagePaddingTop = parseInt($('#page').css('padding-top'));
			$container.css({minHeight: $('#main').height() + htmlOffsetTop + pagePaddingTop});
		}

	}); // End Window Load

	$(window).resize(function(){

		// Calculate clients viewport

		var x=w.innerWidth||e.clientWidth||g.clientWidth, // Viewport Width
		y=w.innerHeight||e.clientHeight||g.clientHeight; // Viewport Height

		// Global Vars

		var wScrollTop = $window.scrollTop();
		var mainHeaderHeight = mainHeader.outerHeight();

		// Demo iFrame fix

		if( window.self !== window.top ) {
			body.css({width: '100vw'});
		}

		// Center aligned images

		wideImages();

		// Main Header

		// sticky

		if(body.hasClass('sticky-header')){
			mainContent = $('body:not(.fullwidth-slider) #content');
			if(x > 767){
				mainContent.css({marginTop: (mainHeaderHeight)});
			}
			else{
				mainContent.css({marginTop: ''});
			}
		}

		// Featured Slider

		var slider;

		if(body.hasClass('fullwidth-slider')){

			slider = $('article.featured-slider');
			var slide = slider.find('section');

			if(x > 768){
				slide.height(y - htmlOffsetTop);
			}
			else{
				slide.height('360px').width(x);
			}

			if(x > 1024){
				if(body.hasClass('sticky-header')){
					mainContent.css({marginTop: (y - htmlOffsetTop)});
				}
				else{
					mainContent.css({marginTop: (y - mainHeaderHeight - htmlOffsetTop)});
				}
			}
			else{
				mainContent.css({marginTop: ''});
			}
			var sliderHeight = slider.outerHeight();

			var fullwidthSlider = function() {
				if(x > 1024){
					if(wScrollTop > 0){
						slider.css({opacity: (sliderHeight - wScrollTop) / sliderHeight});
					}
					else{
						slider.css({opacity: 1});
					}
				}
			};
			fullwidthSlider();

			$window.scroll(function(){
				wScrollTop = $(window).scrollTop();
				fullwidthSlider();
			});

		}

		// Featured image - Portrait

		if(body.hasClass('single-post')){

			var portraitImg = $('.featured-portrait');

			if(portraitImg.length){
				var portraitSibling = $('.entry-header');

				if(x > 767){
					portraitSibling.after(portraitImg);
					portraitImg.parent().addClass('portrait-wrap');
				}
				else{
					portraitSibling.before(portraitImg);
					portraitImg.parent().removeClass('portrait-wrap');
				}
			}

		}

		// On Infinite Scroll Load

		var infiniteHandle = $('#infinite-handle');

		if(infiniteHandle.length){

			if(x > 1024){
				infiniteHandle.parent().css('margin-bottom', 180);
			}
			else{
				infiniteHandle.parent().css('margin-bottom', 110);
			}
		}

	}); // End Window Resize

})(jQuery);
