<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Ippo
 */

$footer_copyright = get_theme_mod( 'ippo_footer_copyright', '' );

?>

	</div><!-- #content -->

    <div class="instagram-feed clear">

        <?php if ( get_theme_mod( 'instagram_enable', 1 ) ) : ?>

            <?php ippo_get_instagram_feed(); ?>

        <?php endif; ?>

    </div>

	<footer id="colophon" class="site-footer" role="contentinfo">

        <div class="container">
            <div class="row">
                <?php ippo_footer_widgets(); ?>
            </div>

            <div class="site-info">

                <?php if ( '' == $footer_copyright ) { ?>

                    <a href="<?php echo esc_url( __( 'https://wordpress.org/', 'ippo-shop' ) ); ?>"><?php printf( esc_html__( 'Proudly powered by %s', 'ippo-shop' ), 'WordPress' ); ?></a>
                    <span class="sep"> | </span>
                    <?php printf( esc_html__( 'Theme: %1$s by %2$s.', 'ippo-shop' ), 'Ippo Shop', '<a href="http://www.themeskingdom.com" rel="author">Themes Kingdom</a>' ); ?>

                 <?php } else {

                    printf( $footer_copyright );

                } ?>

            </div><!-- .site-info -->
        </div>
    </footer><!-- #colophon -->

    <a href="#" class="back-to-top">
        <?php printf( '<span>%s</span>', esc_html__( 'scroll to top', 'ippo-shop' ) ); ?>
        <i class="icon-right"></i>
    </a>

</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
