<?php
/**
 * Change colors regarding user choices in customizer
 *
 * @package Ippo
 */

function ippo_change_colors() {

/**
 * GENERAL THEME COLORS
 */

$headings_color            = get_theme_mod( 'ippo_heading_color', '#000' );
$heading_link_hover_color  = get_theme_mod( 'ippo_heading_hover_color', '#747474' );
$paragraph_color           = get_theme_mod( 'ippo_paragraph_color', '#5d5d5d' );
$link_color                = get_theme_mod( 'ippo_link_color', '#000' );
$link_hover_color          = get_theme_mod( 'ippo_link_hover_color', '#5d5d5d' );
$meta_link_color           = get_theme_mod( 'ippo_meta_link_color', '#000' );
$meta_link_hover_color     = get_theme_mod( 'ippo_meta_link_hover_color', '#808080' );
$background_color          = get_theme_mod( 'ippo_body_bg_color', '#fff' );
$price_color               = get_theme_mod( 'ippo_price_color', '#000' );
$button_text_color         = get_theme_mod( 'ippo_button_text_color', '#fff' );
$button_text_hover_color   = get_theme_mod( 'ippo_button_text_hover_color', '#fff' );
$button_bg_color           = get_theme_mod( 'ippo_button_bg_color', '#000' );
$button_hover_bg_color     = get_theme_mod( 'ippo_button_bg_hover_color', '#676565' );

/**
 * HEADER COLORS
 */

// Blog Header Colors
$header_bg_color           = get_theme_mod( 'ippo_bg_header_color', '#fff' );
$navigation_color          = get_theme_mod( 'ippo_navigation_color', '#000' );
$navigation_hover_color    = get_theme_mod( 'ippo_navigation_hover_color', '#808080' );
$logo_color                = get_theme_mod( 'ippo_logo_color', '#000' );
$logo_hover_color          = get_theme_mod( 'ippo_logo_hover_color', '#000' );
$logo_description_color    = get_theme_mod( 'ippo_logo_description_color', '#000' );

/**
 * SLIDER COLORS
 */

// Blog Header Colors
$slider_links_color       = get_theme_mod( 'ippo_slider_links_color', '#fff' );
$slider_links_hover_color = get_theme_mod( 'ippo_slider_links_hover_color', '#000' );
$slider_meta_color        = get_theme_mod( 'ippo_slider_meta_color', '#fff' );
$slider_meta_hover_color  = get_theme_mod( 'ippo_slider_meta_hover_color', '#808080' );

/**
 * FOOTER COLORS
 */

// Footer colors
$footer_bg_color              = get_theme_mod( 'ippo_footer_bg_color', '#e6e7e8' );
$footer_text_color         = get_theme_mod( 'ippo_footer_text_color', '#8a8a8a' );
$footer_links_color        = get_theme_mod( 'ippo_footer_links_color', '#000' );
$footer_links_hover_color  = get_theme_mod( 'ippo_footer_links_hover_color', '#5d5d5d' );


$change_colors_style = '

	/* Body BG color */

	body,
	.fullwidth-slider .site-content {
		background-color: '.esc_attr( $background_color ).';
	}

	/* Headings color */

	h1, h2, h3, h4, h5, h6,
	h1 a, h2 a, h3 a, h4 a, h5 a, h6 a,
	h2.widget-title,
	.entry-content h1,
	.entry-content h2,
	.entry-content h3,
	.entry-content h4,
	.entry-content h5,
	.entry-content h6,
	.nav-links,
	.format-quote blockquote,
	.emphasis,
	.entry-content .emphasis,
	.single .entry-content .emphasis,
	.single .format-quote blockquote,
	.single .format-quote q,
	.single .format-link .entry-content p,
	.masonry .format-link .entry-content h2,
	.single .format-link .entry-content h2,
	.entry-content blockquote,
	.entry-content blockquote p,
	.comment-content blockquote p,
	.single .entry-content blockquote p,
	.archive .page-title span,
	.search .page-title span,
	.error404 .page-title span,
	.site-header input[type="search"],
	.no-results input[type="search"],
	.error-404 input[type="search"],
	.site-header .search-form + .search-instructions,
	.no-results .search-form + .search-instructions,
	.error-404 .search-form + .search-instructions,
	.widget-title,
	.widgettitle,
	.widget .widget-title a,
	.widget .widgettitle a,
	.widget_calendar caption,
	.widget_calendar th,
	.widget_calendar tfoot a,
	.widget .product-title,
	.cart_list .mini_cart_item > a:nth-child(2),
	.product_list_widget li > a:first-child,
	.woocommerce .order_details li strong,
	.entry-content .woocommerce-thankyou-order-received,
	.nm_widget .active,
	.woocommerce #reviews #comments ol.commentlist li .meta,
	.widget .search-form input[type="submit"]:focus,
	.widget .newsletter input[type="submit"]:focus,
	.widget .woocommerce-product-search input[type="submit"]:focus,
	.nm_widget .active {
		color: '.esc_attr( $headings_color ).';
	}

	.ball-scale > div:first-of-type {
		background: '.esc_attr( $headings_color ).';
	}

	/* Paragraph color */

	.entry-footer,
	.entry-content,
	.entry-content p,
	.entry-content li,
	.entry-content dt,
	.entry-content dd,
	.twocolumn p.half-width,
	.entry-content li,
	input[type="text"],
	input[type="email"],
	input[type="url"],
	input[type="password"],
	input[type="search"],
	input[type="tel"],
	textarea,
	label,
	.row-columns,
	.author-info p,
	.single .format-quote blockquote cite,
	.single .format-quote blockquote + cite,
	.single .format-quote q cite,
	.single .format-quote q + cite,
	.single .format-quote blockquote + p cite,
	.single .format-quote q + p cite,
	.wp-caption-text,
	.masonry .entry-content,
	.masonry p,
	.comment-content p,
	.comment-content li,
	.comment-content dd,
	.jp-relatedposts-post-context,
	.widget,
	.widget_calendar td,
	.woocommerce .widget_shopping_cart .total strong,
	.woocommerce.widget_shopping_cart .total strong,
	.woocommerce .widget_price_filter .price_slider_amount,
	.summary div[itemprop="description"],
	.woocommerce-product-details__short-description,
	.woocommerce .star-rating > span:before,
	.quantity .qty,
	.woocommerce .quantity .qty,
	.tkss-post-share .single-soc-share-link a,
	.woocommerce form .form-row .required,
	.select2-container .select2-choice,
	.woocommerce-error,
	.woocommerce-info,
	.woocommerce-message {
		color: '.esc_attr( $paragraph_color ).';
	}

	.masonry .format-link .entry-content a,
	.masonry .format-quote blockquote cite,
	.masonry .format-quote blockquote + cite,
	.masonry .format-quote blockquote + p cite,
	.masonry .format-quote q cite,
	.masonry .format-quote q + cite,
	.masonry .format-quote q + p cite,
	.widget_recent_entries li,
	.widget_recent_comments li {
		color: '.ippo_hex2rgba( $paragraph_color, 0.3 ).';
	}

	.author-box,
	.comment-content thead tr,
	.entry-content thead tr,
	.comment-content tfoot tr,
	.entry-content tfoot tr,
	.woocommerce-error,
	.woocommerce-info,
	.woocommerce-message,
	label.checkbox:before,
	input[type="checkbox"] + label:before,
	label.radio:before,
	input[type="radio"] + label:before,
	.masonry .format-quote .entry-content,
	.masonry .format-link .entry-content,
	.search .format-quote .entry-content,
	.search .format-link .entry-content,
	.woocommerce .widget_price_filter .ui-slider .ui-slider-handle {
		border-color: '.esc_attr( $paragraph_color ).';
	}

	.woocommerce .widget_price_filter .ui-slider .ui-slider-range {
		background-color: '.esc_attr( $paragraph_color ).';
	}

	input[type="text"],
	input[type="email"],
	input[type="url"],
	input[type="password"],
	input[type="search"],
	input[type="tel"],
	textarea,
	.widget_calendar tbody,
	.widget input[type="text"],
	.widget input[type="email"],
	.widget input[type="url"],
	.widget input[type="password"],
	.widget input[type="search"],
	.widget input[type="tel"],
	.widget select,
	.woocommerce table.shop_table th,
	.woocommerce table.shop_table td,
	.woocommerce table.shop_table tr:first-of-type th,
	.woocommerce table.shop_table tr:first-of-type td,
	.quantity,
	.select2-container .select2-choice,
	.woocommerce form .form-row.woocommerce-validated .select2-container,
	.woocommerce form .form-row.woocommerce-validated input.input-text,
	.woocommerce form .form-row.woocommerce-validated select {
		border-color: '.ippo_hex2rgba( $paragraph_color, 0.1 ).';
	}

	#add_payment_method #payment,
	.woocommerce-cart #payment,
	.woocommerce-checkout #payment {
		background-color: '.ippo_hex2rgba( $paragraph_color, 0.1 ).';
	}

	#add_payment_method #payment div.payment_box,
	.woocommerce-cart #payment div.payment_box,
	.woocommerce-checkout #payment div.payment_box,
	.woocommerce .widget_price_filter .price_slider_wrapper .ui-widget-content {
		background-color: '.ippo_hex2rgba( $paragraph_color, 0.4 ).';
	}

	#add_payment_method #payment div.payment_box:before,
	.woocommerce-cart #payment div.payment_box:before,
	.woocommerce-checkout #payment div.payment_box:before {
		border-bottom-color: '.ippo_hex2rgba( $paragraph_color, 0.4 ).';
	}

	/* Link color */

	a,
	.entry-content a,
	.main-navigation a:focus,
	.dropdown-toggle:focus,
	#big-search-trigger:focus,
	.archive .page-title,
	.search-results .page-title,
	.category-filter .cat-active a,
	.masonry .format-link .entry-content a,
	.back-to-top,
	.woocommerce-MyAccount-navigation .is-active a,
	.share-trig,
	.woocommerce nav.woocommerce-pagination ul li a:focus,
	.woocommerce nav.woocommerce-pagination ul li span.current,
	.woocommerce .price_slider_amount button.button,
	.paging-navigation .current {
		color: '.esc_attr( $link_color ).';
	}

	input[type="text"]:focus,
	input[type="email"]:focus,
	input[type="url"]:focus,
	input[type="password"]:focus,
	input[type="search"]:focus,
	input[type="tel"]:focus,
	input[type="number"]:focus,
	textarea:focus,
	select:focus,
	.value select:focus,
	.site-header input[type="search"]:focus,
	.no-results input[type="search"]:focus,
	.error-404 input[type="search"]:focus,
	.widget .search-form input[type="search"]:focus,
	.widget .newsletter input[type="text"]:focus,
	.widget .woocommerce-product-search input[type="search"]:focus {
		border-color: '.esc_attr( $paragraph_color ).';
	}

	small,
	.main-navigation a:focus,
	.dropdown-toggle:focus,
	#big-search-trigger:focus,
	.archive .page-title,
	.search-results .page-title,
	.post-date a,
	.read-more-link,
	.entry-footer a,
	.author-name span,
	.no-comments,
	.comment-metadata a,
	.logged-in-as,
	.logged-in-as a,
	.comment-notes,
	.bypostauthor > .comment-body .comment-author b:after,
	.gallery-count,
	.widget_recent_comments .comment-author-link a,
	.rss-date,
	.rssSummary,
	.search-post-type,
	.search-no-results .page-content > p,
	.error404 .page-content > p,
	.woocommerce-review-link,
	.comment-form-rating label,
	.category-filter a,
	.popup-filter,
	.woocommerce-MyAccount-navigation a,
	.product_meta > span a,
	.paging-navigation a,
	.woocommerce-pagination a,
	.paging-navigation .dots {
		color: '.ippo_hex2rgba( $link_color, 0.3 ).';
	}

	.category-filter a,
	.popup-filter {
		color: '.ippo_hex2rgba( $link_color, 0.4 ).';
	}

	.widget a,
	.widget .search-form input[type="submit"],
	.widget .newsletter input[type="submit"],
	.widget .woocommerce-product-search input[type="submit"],
	.tagcloud a {
		color: '.ippo_hex2rgba( $link_color, 0.5 ).';
	}

	.widget ins {
		background-color: '.ippo_hex2rgba( $link_color, 0.2 ).';
	}

	.single .nav-links > span,
	.single .nav-links > div > span,
	.comment .reply a,
	.widget_calendar tbody a,
	.widget_recent_comments li a,
	.widget_recent_entries li a,
	.widget_rss li a,
	.widget_contact_info .confit-address a,
	.jetpack-display-remote-posts h4 a,
	.widget .tp_recent_tweets a {
		color: '.ippo_hex2rgba( $link_color, 0.6 ).';
	}

	blockquote:before,
	q:before,
	.masonry .format-link .entry-content:before,
	.search .format-link .entry-content:before {
		color: '.ippo_hex2rgba( $headings_color, 0.1 ).';
	}

	.dropcap:before {
		color: '.ippo_hex2rgba( $headings_color, 0.09 ).';
	}

	@media only screen and (min-width: 1025px){

		a:hover,
		.entry-content a:hover,
		.nav-menu > li:hover > a,
		.nav-menu > li > a:hover + a,
		.fullwidth-slider .featured-slider .slick-arrow:hover,
		div[class^="gr_custom_container"] a:hover,
		.entry-footer a:hover,
		.category-filter a:hover,
		.format-link .entry-content a:hover,
		.back-to-top:hover,
		.read-more-link:hover,
		.widget a:hover,
		.tagcloud a:hover,
		.widget .search-form input[type="submit"]:hover,
		.widget .newsletter input[type="submit"]:hover,
		.widget.widget_wpcom_social_media_icons_widget a:hover,
		.instagram-username a:hover {
			color: '.esc_attr( $link_hover_color ).';
		}

		.entry-content a:hover,
		.post-date a:hover,
		.category-filter a:hover,
		.site-header input[type="search"]:hover,
		.no-results input[type="search"]:hover,
		.error-404 input[type="search"]:hover,
		.value select:hover,
		.quantity:hover {
			border-color: '.esc_attr( $link_hover_color ).';
		}

		input[type="text"]:hover,
		input[type="email"]:hover,
		input[type="url"]:hover,
		input[type="password"]:hover,
		input[type="search"]:hover,
		input[type="tel"]:hover,
		input[type="number"]:hover,
		textarea:hover,
		select:hover {
			border-color: '.esc_attr( $paragraph_color ).';
		}

		.paging-navigation a:hover,
		.woocommerce-pagination a:hover,
		.paging-navigation .dots:hover,
		.share-trig:hover,
		.share-trig:focus,
		.widget_calendar tbody a:hover,
		.widget_recent_comments li a:hover,
		.widget_recent_entries li a:hover,
		.widget_rss li a:hover,
		.comment .reply a:hover,
		.widget_contact_info .confit-address a:hover,
		.jetpack-display-remote-posts h4 a:hover,
		.widget .tp_recent_tweets a:hover,
		.popup-filter:hover,
		.woocommerce-MyAccount-navigation a:hover,
		.product_meta > span a:hover {
			color: '.esc_attr( $link_color ).';
		}

		.share-trig:hover {
			border-color: '.esc_attr( $link_color ).';
		}

		h1 a:hover,
		h2 a:hover,
		h3 a:hover,
		h4 a:hover,
		h5 a:hover,
		h6 a:hover,
		.widget a .product-title:hover,
		.cart_list .mini_cart_item:hover > a:nth-child(2),
		.product_list_widget li > a:first-child:hover,
		.price_slider_amount button.button:hover,
		.cart_list .mini_cart_item:focus > a:nth-child(2),
		.product_list_widget li > a:first-child:focus,
		.price_slider_amount button.button:focus,
		#site-navigation .main-shop-nav .cart-widget__wrapper .button:hover,
		#site-navigation .main-shop-nav .cart-widget__wrapper .button:focus,
		.woocommerce ul.products li.product .button:hover,
		.woocommerce ul.products li.product .button:focus {
			color: '.esc_attr( $heading_link_hover_color ).';
		}

		.woocommerce .price_slider_amount button.button:hover,
		.woocommerce .price_slider_amount button.button:focus {
			color: '.ippo_hex2rgba( $link_color, 0.3 ).';
		}

		#infinite-handle span:hover {
			background-color: '.esc_attr( $meta_link_color ).';
		}

		body #infinite-handle span:hover a,
		body #infinite-handle span a:hover {
			color: '.esc_attr( $button_text_hover_color ).';
		}

		.entry-meta .category-list a:hover,
		.posts-navigation .entry-meta a:hover {
			color: '.esc_attr( $meta_link_hover_color ).';
		}

	}

	/* Meta colors */

	.entry-meta .category-list a,
	.posts-navigation .entry-meta a,
	#infinite-handle .nav-next button a,
	.single .nav-links a {
		color: '.esc_attr( $meta_link_color ).';
	}

	body #infinite-handle span {
		border-color: '.esc_attr( $meta_link_color ).';
	}

	body #infinite-handle span a {
		color: '.esc_attr( $paragraph_color ).';
	}

	/* Price color */

	.woocommerce ul.products li.product .price,
	.woocommerce ul.products li.product .button,
	.woocommerce a.added_to_cart,
	.woocommerce div.product p.price,
	.woocommerce div.product span.price {
		color: '.esc_attr( $price_color ).';
	}

	/*.woocommerce .star-rating span,*/
	.woocommerce .star-rating:before,
	.woocommerce .products .star-rating span {
		color: '.ippo_hex2rgba( $price_color, 0.3 ).';
	}

	/*Button colors*/

	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	body .jp-carousel-light #carousel-reblog-box input#carousel-reblog-submit,
	body #jp-carousel-comment-form-button-submit,
	.woocommerce #respond input#submit,
	.woocommerce a.button,
	.woocommerce button.button,
	.woocommerce input.button,
	#add_payment_method .wc-proceed-to-checkout a.checkout-button,
	.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
	.woocommerce-checkout .wc-proceed-to-checkout a.checkout-button,
	.woocommerce #respond input#submit,
	.woocommerce a.button,
	.woocommerce button.button,
	.woocommerce input.button,
	.woocommerce div.product form.cart .button,
	.woocommerce #respond input#submit.alt,
	.woocommerce a.button.alt,
	.woocommerce button.button.alt,
	.woocommerce input.button.alt {
		color: '.esc_attr( $button_text_color ).';
		background-color: '.esc_attr( $button_bg_color ).';
	}

	@media only screen and (min-width: 1025px){

		button:hover,
		input[type="button"]:hover,
		input[type="reset"]:hover,
		input[type="submit"]:hover,
		body .jp-carousel-light #carousel-reblog-box input#carousel-reblog-submit:hover,
		body #jp-carousel-comment-form-button-submit:hover,
		.woocommerce #respond input#submit:hover,
		.woocommerce a.button:hover,
		.woocommerce button.button:hover,
		.woocommerce input.button:hover,
		#add_payment_method .wc-proceed-to-checkout a.checkout-button:hover,
		.woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover,
		.woocommerce-checkout .wc-proceed-to-checkout a.checkout-button:hover,
		.woocommerce #respond input#submit:hover,
		.woocommerce a.button:hover,
		.woocommerce button.button:hover,
		.woocommerce input.button:hover,
		.woocommerce div.product form.cart .button:hover,
		.woocommerce #respond input#submit.alt:hover,
		.woocommerce a.button.alt:hover,
		.woocommerce button.button.alt:hover,
		.woocommerce input.button.alt:hover,
		button:focus,
		input[type="button"]:focus,
		input[type="reset"]:focus,
		input[type="submit"]:focus,
		#infinite-handle span a:focus,
		body .jp-carousel-light #carousel-reblog-box input#carousel-reblog-submit:focus,
		body #jp-carousel-comment-form-button-submit:focus,
		.woocommerce #respond input#submit:focus,
		.woocommerce a.button:focus,
		.woocommerce button.button:focus,
		.woocommerce input.button:focus,
		#add_payment_method .wc-proceed-to-checkout a.checkout-button:focus,
		.woocommerce-cart .wc-proceed-to-checkout a.checkout-button:focus,
		.woocommerce-checkout .wc-proceed-to-checkout a.checkout-button:focus,
		.woocommerce #respond input#submit:focus,
		.woocommerce a.button:focus,
		.woocommerce button.button:focus,
		.woocommerce input.button:focus,
		.woocommerce div.product form.cart .button:focus,
		.woocommerce #respond input#submit.alt:focus,
		.woocommerce a.button.alt:focus,
		.woocommerce button.button.alt:focus,
		.woocommerce input.button.alt:focus {
			color: '.esc_attr( $button_text_hover_color ).';
			background-color: '.esc_attr( $button_hover_bg_color ).';
		}

	}

	/* Header color */

	.site-header,
	.standard-menu .main-navigation .nav-menu ul,
	.cart-widget {
		background-color: '.esc_html( $header_bg_color ).';
	}

	.site-header .nav-menu > li > a,
	#big-search-trigger,
	.menu-toggle i,
	.standard-menu .main-navigation .nav-menu ul a,
	.menu-toggle:before,
	.main-shop-nav a,
	.cart-contents,
	.widget_shopping_cart,
	.fullwidth-slider .featured-slider .slick-arrow,
	.fullwidth-slider .featured-slider .slick-arrow:focus,
	.standard-menu .main-navigation .nav-menu ul a:focus {
		color: '.esc_attr( $navigation_color ).';
	}

	.hamburger-menu .cart-touch .count,
	.hamburger-menu .menu-toggle span,
	.hamburger-menu .menu-toggle span:before,
	.hamburger-menu .menu-toggle span:after {
		background-color: '.esc_attr( $navigation_color ).';
	}

	.standard-menu .main-navigation .nav-menu ul a:focus,
	.main-shop-nav a:focus,
	.nav-menu > li > a:focus,
	.site-header .nav-menu > li > a:hover,
	#big-search-trigger:hover,
	.menu-toggle:hover i,
	.standard-menu .main-navigation .nav-menu ul a:hover,
	.menu-toggle:hover:before,
	.main-shop-nav a:hover,
	.cart-contents:hover,
	.widget_shopping_cart:hover,
	.fullwidth-slider .featured-slider .slick-arrow:hover {
		color: '.esc_attr( $navigation_hover_color ).';
	}

	@media only screen and (min-width: 1025px){

		.site-header .nav-menu li > a:hover,
		#big-search-trigger:hover,
		.standard-menu .main-navigation .nav-menu ul a:hover,
		.main-shop-nav a:hover {
			color: '.esc_attr( $navigation_hover_color ).';
		}

		.hamburger-menu .cart-touch .cart-contents:hover .count {
			background-color: '.esc_attr( $navigation_hover_color ).';
		}

	}


	/* Logo color */

	.site-title a {
		color: '.esc_attr( $logo_color ).';
	}

	@media only screen and (min-width: 1025px){

		.site-title a:hover {
			color: '.esc_attr( $logo_hover_color ).';
		}

	}

	.site-description {
		color: '.esc_attr( $logo_description_color ).';
	}

	.fullwidth-slider .featured-slider .slider-text .category-list a,
	.fullwidth-slider .featured-slider .entry-meta .category-list a {
		color: '.esc_attr( $slider_meta_color ).';
	}

	/* Footer colors */

	.site-footer,
	.instagram-feed,
	.popup-widgets .sidebar {
		background-color: '.esc_attr( $footer_bg_color ).';
	}

	.site-footer,
	.instagram-feed,
	.instagram-feed span,
	.site-footer span,
	.site-info,
	.site-info a,
	.site-footer .widget,
	.popup-widgets .sidebar .widget,
	.site-footer .widget_calendar td,
	.popup-widgets .sidebar .widget_calendar td,
	.woocommerce .site-footer .widget_shopping_cart .total strong,
	.woocommerce.popup-widgets .sidebar .widget_shopping_cart .total strong,
	.site-footer .woocommerce.widget_shopping_cart .total strong,
	.popup-widgets .sidebar .woocommerce.widget_shopping_cart .total strong,
	.woocommerce .site-footer .widget_price_filter .price_slider_amount,
	.woocommerce.popup-widgets .sidebar .widget_price_filter .price_slider_amount,
	.site-footer .widget-title,
	.popup-widgets .sidebar .widget-title,
	.site-footer .widgettitle,
	.popup-widgets .sidebar .widgettitle,
	.site-footer .widget .widget-title a,
	.popup-widgets .sidebar .widget .widget-title a,
	.site-footer .widget .widgettitle a,
	.popup-widgets .sidebar .widget .widgettitle a,
	.site-footer .widget_calendar caption,
	.popup-widgets .sidebar .widget_calendar caption,
	.site-footer .widget_calendar th,
	.popup-widgets .sidebar .widget_calendar th,
	.site-footer .widget_calendar tfoot a,
	.popup-widgets .sidebar .widget_calendar tfoot a,
	.site-footer .widget .product-title,
	.popup-widgets .sidebar .widget .product-title,
	.site-footer .cart_list .mini_cart_item > a:nth-child(2),
	.popup-widgets .sidebar .cart_list .mini_cart_item > a:nth-child(2),
	.site-footer .product_list_widget li > a:first-child,
	.popup-widgets .sidebar .product_list_widget li > a:first-child,
	.site-footer .nm_widget .active,
	.popup-widgets .sidebar .nm_widget .active,
	.woocommerce .site-footer #reviews #comments ol.commentlist li .meta,
	.woocommerce.popup-widgets .sidebar #reviews #comments ol.commentlist li .meta,
	.site-footer .widget .search-form input[type="submit"]:focus,
	.popup-widgets .sidebar .widget .search-form input[type="submit"]:focus,
	.site-footer .widget .newsletter input[type="submit"]:focus,
	.popup-widgets .sidebar .widget .newsletter input[type="submit"]:focus,
	.site-footer .widget .woocommerce-product-search input[type="submit"]:focus,
	.popup-widgets .sidebar .widget .woocommerce-product-search input[type="submit"]:focus,
	.site-footer .nm_widget .active,
	.popup-widgets .sidebar .nm_widget .active,
	.popup-widgets .sidebar > .icon-close {
		color: '.esc_attr( $footer_text_color ).';
	}

	.site-footer .widget ins,
	.popup-widgets .sidebar .widget ins {
		background-color: '.ippo_hex2rgba( $footer_text_color, 0.2 ).';
	}

	.site-footer .widget input[type="text"],
	.popup-widgets .sidebar .widget input[type="text"],
	.site-footer .widget input[type="email"],
	.popup-widgets .sidebar .widget input[type="email"],
	.site-footer .widget input[type="url"],
	.popup-widgets .sidebar .widget input[type="url"],
	.site-footer .widget input[type="password"],
	.popup-widgets .sidebar .widget input[type="password"],
	.site-footer .widget input[type="search"],
	.popup-widgets .sidebar .widget input[type="search"],
	.site-footer .widget input[type="tel"],
	.popup-widgets .sidebar .widget input[type="tel"],
	.site-footer .widget select,
	.popup-widgets .sidebar .widget select {
		color: '.ippo_hex2rgba( $footer_text_color, 0.3 ).';
	}

	.site-footer .widget input[type="text"],
	.popup-widgets .sidebar .widget input[type="text"],
	.site-footer .widget input[type="email"],
	.popup-widgets .sidebar .widget input[type="email"],
	.site-footer .widget input[type="url"],
	.popup-widgets .sidebar .widget input[type="url"],
	.site-footer .widget input[type="password"],
	.popup-widgets .sidebar .widget input[type="password"],
	.site-footer .widget input[type="search"],
	.popup-widgets .sidebar .widget input[type="search"],
	.site-footer .widget input[type="tel"],
	.popup-widgets .sidebar .widget input[type="tel"],
	.site-footer .widget select,
	.popup-widgets .sidebar .widget select {
		border-color: '.ippo_hex2rgba( $footer_text_color, 0.3 ).';
	}

	.site-footer .widget input[type="text"]:focus,
	.popup-widgets .sidebar .widget input[type="text"]:focus,
	.site-footer .widget input[type="email"]:focus,
	.popup-widgets .sidebar .widget input[type="email"]:focus,
	.site-footer .widget input[type="url"]:focus,
	.popup-widgets .sidebar .widget input[type="url"]:focus,
	.site-footer .widget input[type="password"]:focus,
	.popup-widgets .sidebar .widget input[type="password"]:focus,
	.site-footer .widget input[type="search"]:focus,
	.popup-widgets .sidebar .widget input[type="search"]:focus,
	.site-footer .widget input[type="tel"]:focus,
	.popup-widgets .sidebar .widget input[type="tel"]:focus,
	.site-footer .widget select:focus,
	.popup-widgets .sidebar .widget select:focus {
		border-color: '.esc_attr( $footer_text_color ).';
	}

	.site-footer .widget_recent_comments li,
	.popup-widgets .sidebar .widget_recent_comments li,
	.site-footer .widget_recent_comments .comment-author-link a,
	.popup-widgets .sidebar .widget_recent_comments .comment-author-link a,
	.site-footer .widget_recent_entries li,
	.popup-widgets .sidebar .widget_recent_entries li,
	.site-footer .rss-date,
	.popup-widgets .sidebar .rss-date,
	.site-footer .rssSummary,
	.popup-widgets .sidebar .rssSummary,
	.woocommerce .site-footer .star-rating:before,
	.woocommerce.popup-widgets .sidebar .star-rating:before,
	.woocommerce .site-footer .star-rating span,
	.woocommerce.popup-widgets .sidebar .star-rating span,
	.woocommerce .site-footer .star-rating span:before,
	.woocommerce.popup-widgets .sidebar .star-rating span:before,
	.site-footer .woocommerce-review-link,
	.popup-widgets .sidebar .woocommerce-review-link {
		color: '.ippo_hex2rgba( $footer_text_color, 0.7 ).';
	}

	.site-footer .widget a,
	.popup-widgets .sidebar .widget a,
	.site-footer .widget_calendar tbody a,
	.popup-widgets .sidebar .widget_calendar tbody a,
	.site-footer .widget_recent_comments li a,
	.popup-widgets .sidebar .widget_recent_comments li a,
	.site-footer .widget_recent_entries li a,
	.popup-widgets .sidebar .widget_recent_entries li a,
	.site-footer .widget_rss li a,
	.popup-widgets .sidebar .widget_rss li a,
	.site-footer .widget_contact_info .confit-address a,
	.popup-widgets .sidebar .widget_contact_info .confit-address a,
	.site-footer .jetpack-display-remote-posts h4 a,
	.popup-widgets .sidebar .jetpack-display-remote-posts h4 a,
	.site-footer .widget .tp_recent_tweets a,
	.popup-widgets .sidebar .widget .tp_recent_tweets a,
	.site-footer .widget .search-form input[type="submit"],
	.popup-widgets .sidebar .widget .search-form input[type="submit"],
	.site-footer .widget .newsletter input[type="submit"],
	.popup-widgets .sidebar .widget .newsletter input[type="submit"],
	.site-footer .widget .woocommerce-product-search input[type="submit"],
	.popup-widgets .sidebar .widget .woocommerce-product-search input[type="submit"],
	.site-footer .tagcloud a,
	.popup-widgets .sidebar .tagcloud a,
	.woocommerce .site-footer .price_slider_amount button.button,
	.woocommerce.popup-widgets .sidebar .price_slider_amount button.button {
		color: '.esc_attr( $footer_links_color ).';
	}

	.woocommerce .site-footer .price_slider_amount button.button:focus,
	.woocommerce.popup-widgets .sidebar .price_slider_amount button.button:focus {
		color: '.esc_attr( $footer_links_hover_color ).';
	}

	@media only screen and (min-width: 1025px){

		.site-footer .widget a:hover,
		.popup-widgets .sidebar .widget a:hover,
		.site-footer .widget_calendar tbody a:hover,
		.popup-widgets .sidebar .widget_calendar tbody a:hover,
		.site-footer .widget_recent_comments li a:hover,
		.popup-widgets .sidebar .widget_recent_comments li a:hover,
		.site-footer .widget_recent_entries li a:hover,
		.popup-widgets .sidebar .widget_recent_entries li a:hover,
		.site-footer .widget_rss li a:hover,
		.popup-widgets .sidebar .widget_rss li a:hover,
		.site-footer .widget_contact_info .confit-address a:hover,
		.popup-widgets .sidebar .widget_contact_info .confit-address a:hover,
		.site-footer .jetpack-display-remote-posts h4 a:hover,
		.popup-widgets .sidebar .jetpack-display-remote-posts h4 a:hover,
		.site-footer .widget .tp_recent_tweets a:hover,
		.popup-widgets .sidebar .widget .tp_recent_tweets a:hover,
		.site-footer .widget .search-form input[type="submit"]:hover,
		.popup-widgets .sidebar .widget .search-form input[type="submit"]:hover,
		.site-footer .widget .newsletter input[type="submit"]:hover,
		.popup-widgets .sidebar .widget .newsletter input[type="submit"]:hover,
		.site-footer .widget .woocommerce-product-search input[type="submit"]:hover,
		.popup-widgets .sidebar .widget .woocommerce-product-search input[type="submit"]:hover,
		.site-footer .tagcloud a:hover,
		.popup-widgets .sidebar .tagcloud a:hover,
		.woocommerce .site-footer .price_slider_amount button.button:hover,
		.woocommerce.popup-widgets .sidebar .price_slider_amount button.button:hover,
		.site-footer .widget .widget-title a:hover,
		.popup-widgets .sidebar .widget .widget-title a:hover,
		.site-footer .widget .widgettitle a:hover,
		.popup-widgets .sidebar .widget .widgettitle a:hover,
		.site-footer .widget_calendar tfoot a:hover,
		.popup-widgets .sidebar .widget_calendar tfoot a:hover,
		.site-footer .cart_list .mini_cart_item > a:nth-child(2):hover,
		.popup-widgets .sidebar .cart_list .mini_cart_item > a:nth-child(2):hover,
		.site-footer .product_list_widget li > a:first-child:hover,
		.popup-widgets .sidebar .product_list_widget li > a:first-child:hover,
		.site-footer .widget a .product-title:hover,
		.popup-widgets .sidebar .widget a .product-title:hover {
			color: '.esc_attr( $footer_links_hover_color ).';
		}

		.site-footer .widget input[type="text"]:hover,
		.popup-widgets .sidebar .widget input[type="text"]:hover,
		.site-footer .widget input[type="email"]:hover,
		.popup-widgets .sidebar .widget input[type="email"]:hover,
		.site-footer .widget input[type="url"]:hover,
		.popup-widgets .sidebar .widget input[type="url"]:hover,
		.site-footer .widget input[type="password"]:hover,
		.popup-widgets .sidebar .widget input[type="password"]:hover,
		.site-footer .widget input[type="search"]:hover,
		.popup-widgets .sidebar .widget input[type="search"]:hover,
		.site-footer .widget input[type="tel"]:hover,
		.popup-widgets .sidebar .widget input[type="tel"]:hover,
		.site-footer .widget select:hover,
		.popup-widgets .sidebar .widget select:hover {
			border-color: '.esc_attr( $footer_text_color ).';
		}

	}

	';

	return $change_colors_style;

}

?>
