<?php
/**
 * Customizer specific functions
 *
 * @package Ippo
 */

/**
 * Generate divider to use in Customizer page
 */
if ( class_exists( 'WP_Customize_Control' ) ) :

	class WP_Customize_Divider_Control extends WP_Customize_Control {
		public $type = 'divider';

		public function render_content() {
			?>
			<div class="customizer-divider"></div>
			<?php
		}
	}

endif;


// List 1 - 10
function ippo_number_of_slides() {

	$results = array();

	for ( $i=1; $i <= 10; $i++ ) {
		$results[ $i ] = $i;
	}

	return $results;

}

// List all categories in dropdown
function ippo_get_categories_select() {

	$teh_cats = get_categories();
	$results = array();

	$count = count( $teh_cats );
	$results['default'] = esc_html__( '-- Select --', 'ippo-shop' );

	if ( !empty( $teh_cats ) ) {
		for ( $i=0; $i < $count; $i++ ) {
			if ( isset( $teh_cats[$i] ) )
				$results[$teh_cats[$i]->slug] = $teh_cats[$i]->name;
			else
				$count++;
		}
		return $results;
	}

}

// List all categories in dropdown
function ippo_get_slider_categories_select() {

	if ( taxonomy_exists( 'ct_slider' ) ) {
		$teh_cats           = get_terms( 'ct_slider' );
		$results            = '';
		$count              = count( $teh_cats );
		$results['default'] = esc_html__( '-- Select --', 'ippo-shop' );

		if ( !empty( $teh_cats ) ) {
			for ( $i=0; $i < $count; $i++ ) {
				if ( isset( $teh_cats[$i] ) )
					$results[$teh_cats[$i]->slug] = $teh_cats[$i]->name;
				else
					$count++;
			}
			return $results;
		}
	}

}
