<?php
/**
 * Customizer Custom Colors
 *
 * Here you can define your own CSS rules
 *
 * @package  Ippo
 */

/*
 *
 * Sections
 *
 */
$wp_customize->add_section( 'ippo_colors_section', array(
	'title'    => esc_html__( 'General Theme Colors', 'ippo-shop' ),
	'priority' => 0,
	'panel'    => 'ippo_colors_panel'
) );

$wp_customize->add_section( 'ippo_header_colors_section', array(
	'title'    => esc_html__( 'Header Colors', 'ippo-shop' ),
	'priority' => 1,
	'panel'    => 'ippo_colors_panel'
) );

$wp_customize->add_section( 'ippo_footer_colors_section', array(
	'title'    => esc_html__( 'Footer Colors', 'ippo-shop' ),
	'priority' => 3,
	'panel'    => 'ippo_colors_panel'
) );


/**
 *
 * Settings
 *
 */

/* GENERAL COLORS */

// Body BG color
$wp_customize->add_setting( 'ippo_body_bg_color', array(
	'default'           => '#fff',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_body_bg_color',
		array(
			'label'    => esc_html__( 'Background Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 0
		) )
);

// Headings color
$wp_customize->add_setting( 'ippo_heading_color', array(
	'default'           => '#000',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_heading_color',
		array(
			'label'    => esc_html__( 'Headings Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 1
		) )
);

$wp_customize->add_setting( 'ippo_heading_hover_color', array(
	'default'           => '#747474',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_heading_hover_color',
		array(
			'label'    => esc_html__( 'Headings Link Hover Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 2
		) )
);

// Paragraph color
$wp_customize->add_setting( 'ippo_paragraph_color', array(
	'default'           => '#5d5d5d',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_paragraph_color',
		array(
			'label'    => esc_html__( 'Paragraph / Text Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 3
		) )
);

// Link color
$wp_customize->add_setting( 'ippo_link_color', array(
	'default'           => '#b9b9b9',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_link_color',
		array(
			'label'    => esc_html__( 'Link Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 4
		) )
);

// Link Hover color
$wp_customize->add_setting( 'ippo_link_hover_color', array(
	'default'           => '#5d5d5d',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_link_hover_color',
		array(
			'label'    => esc_html__( 'Link Hover Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 5
		) )
);

// Meta Link color
$wp_customize->add_setting( 'ippo_meta_link_color', array(
	'default'           => '#000',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_meta_link_color',
		array(
			'label'    => esc_html__( 'Meta Data Link Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 6
		) )
);

// Meta Link Hover color
$wp_customize->add_setting( 'ippo_meta_link_hover_color', array(
	'default'           => '#808080',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_meta_link_hover_color',
		array(
			'label'    => esc_html__( 'Meta Data Hover Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 7
		) )
);

// Button color
$wp_customize->add_setting( 'ippo_button_bg_color', array(
	'default'           => '#000',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_button_bg_color',
		array(
			'label'    => esc_html__( 'Button Bg Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 8
		) )
);

// Button Hover color
$wp_customize->add_setting( 'ippo_button_bg_hover_color', array(
	'default'           => '#676565',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_button_bg_hover_color',
		array(
			'label'    => esc_html__( 'Button Bg Hover Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 8
		) )
);

// Button text color
$wp_customize->add_setting( 'ippo_button_text_color', array(
	'default'           => '#fff',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_button_text_color',
		array(
			'label'    => esc_html__( 'Button Text Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 8
		) )
);

// Button text hover color
$wp_customize->add_setting( 'ippo_button_text_hover_color', array(
	'default'           => '#fff',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_button_text_hover_color',
		array(
			'label'    => esc_html__( 'Button Text Hover Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 8
		) )
);

// Price color
$wp_customize->add_setting( 'ippo_price_color', array(
	'default'           => '#000',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_price_color',
		array(
			'label'    => esc_html__( 'Price Color', 'ippo-shop' ),
			'section'  => 'ippo_colors_section',
			'priority' => 9
		) )
);

/* HEADER COLORS */

$wp_customize->add_setting( 'ippo_bg_header_color', array(
	'default'           => '#fff',
	'sanitize_callback' => 'ippo_sanitize_color'
) );

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_bg_header_color',
		array(
			'label'    => esc_html__( 'Header Bg Color', 'ippo-shop' ),
			'section'  => 'ippo_header_colors_section',
			'priority' => 0
		) )
);

// Navigation color
$wp_customize->add_setting( 'ippo_navigation_color', array(
	'default'           => '#000',
	'sanitize_callback' => 'ippo_sanitize_color'
) );

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_navigation_color',
		array(
			'label'    => esc_html__( 'Navigation Color', 'ippo-shop' ),
			'section'  => 'ippo_header_colors_section',
			'priority' => 1
		) )
);

// Navigation hover color
$wp_customize->add_setting( 'ippo_navigation_hover_color', array(
	'default'           => '#808080',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_navigation_hover_color',
		array(
			'label'    => esc_html__( 'Navigation Hover Color', 'ippo-shop' ),
			'section'  => 'ippo_header_colors_section',
			'priority' => 2
		) )
);

// Logo color
$wp_customize->add_setting( 'ippo_logo_color', array(
	'default'           => '#000',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_logo_color',
		array(
			'label'    => esc_html__( 'Logo Color', 'ippo-shop' ),
			'section'  => 'ippo_header_colors_section',
			'priority' => 3
		) )
);

// Logo hover color
$wp_customize->add_setting( 'ippo_logo_hover_color', array(
	'default'           => '#808080',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_logo_hover_color',
		array(
			'label'    => esc_html__( 'Logo Hover Color', 'ippo-shop' ),
			'section'  => 'ippo_header_colors_section',
			'priority' => 4
		) )
);

// Logo description color
$wp_customize->add_setting( 'ippo_logo_description_color', array(
	'default'           => '#000',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_logo_description_color',
		array(
			'label'    => esc_html__( 'Logo Description Color', 'ippo-shop' ),
			'section'  => 'ippo_header_colors_section',
			'priority' => 5
		) )
);

/* FOOTER COLORS */

// Footer color
$wp_customize->add_setting( 'ippo_footer_bg_color', array(
	'default'           => '#E6E7E8',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_footer_bg_color',
		array(
			'label'    => esc_html__( 'Footer Bg Color', 'ippo-shop' ),
			'section'  => 'ippo_footer_colors_section',
			'priority' => 6
		) )
);

// Footer Text color
$wp_customize->add_setting( 'ippo_footer_text_color', array(
	'default'           => '#000',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_footer_text_color',
		array(
			'label'    => esc_html__( 'Footer Text Color', 'ippo-shop' ),
			'section'  => 'ippo_footer_colors_section',
			'priority' => 7
		) )
);

// Footer links color
$wp_customize->add_setting( 'ippo_footer_links_color', array(
	'default'           => '#000',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_footer_links_color',
		array(
			'label'    => esc_html__( 'Footer Links Color', 'ippo-shop' ),
			'section'  => 'ippo_footer_colors_section',
			'priority' => 8
		) )
);

// Footer links hover color
$wp_customize->add_setting( 'ippo_footer_links_hover_color', array(
	'default'           => '#000',
	'sanitize_callback' => 'ippo_sanitize_color'
));

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'ippo_footer_links_hover_color',
		array(
			'label'    => esc_html__( 'Footer Links Hover Color', 'ippo-shop' ),
			'section'  => 'ippo_footer_colors_section',
			'priority' => 9
		) )
);
