<?php
/**
 * Customize Pre Footer Instagram
 *
 * @package Ippo
 */


/**
 * Section
 */
$wp_customize->add_section( 'instagram_settings', array(
    'title'    => esc_html__( 'Instagram footer settings', 'ippo-shop' ),
    'panel'    => 'ippo_footer_panel',
    'priority' => 120
) );

/**
 * Settings
 */

// Enable Instagram Section
$wp_customize->add_setting( 'instagram_enable', array(
    'default'           => 1,
    'sanitize_callback' => 'ippo_sanitize_select'
) );

$wp_customize->add_control( 'instagram_enable', array(
    'label'    => esc_html__( 'Check to enable Instagram section in pre-footer area', 'ippo-shop' ),
    'section'  => 'instagram_settings',
    'priority' => 0,
    'type'     => 'checkbox'
) );

// Instagram username
$wp_customize->add_setting( 'instagram_username', array(
    'default'           => '',
    'sanitize_callback' => 'ippo_sanitize_text'
) );

$wp_customize->add_control( 'instagram_username', array(
    'label'    => esc_html__( 'Your Instagram username', 'ippo-shop' ),
    'section'  => 'instagram_settings',
    'priority' => 1,
    'type'     => 'text'
) );

// Instagram text
$wp_customize->add_setting( 'instagram_text', array(
    'default'           => '',
    'sanitize_callback' => 'ippo_sanitize_text'
) );

$wp_customize->add_control( 'instagram_text', array(
    'label'    => esc_html__( 'Instagram text to display under feed', 'ippo-shop' ),
    'section'  => 'instagram_settings',
    'priority' => 2,
    'type'     => 'textarea'
) );

