<?php
/**
 * Customize Google Fonts
 *
 * @package Ippo
 */

// Kirki config

Kirki::add_config( 'ippo-shop', array(
	'capability'  => 'edit_theme_options',
	'option_type' => 'option',
	'option_name' => 'ippo-shop',
) );

/* --- Section --- */

// Front Page Slider Section
Kirki::add_section( 'google_fonts_section', array(
	'title'       => esc_html__( 'Font Settings', 'ippo-shop' ),
	'description' => esc_html__( 'Choose fonts for your content', 'ippo-shop' ),
	'priority'    => 119,
) );

/* --- Settings --- */

/* --- Settings --- */
Kirki::add_field( 'ippo-shop', array(
	'type'        => 'typography',
	'settings'    => 'font_paragraph_settings',
	'label'       => esc_attr__( 'Paragraphs', 'ippo-shop' ),
	'section'     => 'google_fonts_section',
	'default'     => array(
		'font-family'    => '"geomanist", "Helvetica Neue", Helvetica, Arial, sans-serif',
		'variant'        => 'regular',
		'subsets'        => array( 'latin-ext' ),
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => 'body',
		),
	),
) );

Kirki::add_field( 'ippo-shop', array(
	'type'        => 'typography',
	'settings'    => 'font_heading_settings',
	'label'       => esc_attr__( 'Headings', 'ippo-shop' ),
	'section'     => 'google_fonts_section',
	'default'     => array(
		'font-family'    => '"geomanist", "Helvetica Neue", Helvetica, Arial, sans-serif',
		'variant'        => 'bold',
		'subsets'        => array( 'latin-ext' ),
	),
	'priority'    => 20,
	'output'      => array(
		array(
			'element' => 'h1,
			h2,
			h3,
			h4,
			h5,
			h6',
		),
	),
) );

Kirki::add_field( 'ippo-shop', array(
	'type'        => 'typography',
	'settings'    => 'font_nav_settings',
	'label'       => esc_attr__( 'Navigation', 'ippo-shop' ),
	'section'     => 'google_fonts_section',
	'default'     => array(
		'font-family'    => '"geomanist", "Helvetica Neue", Helvetica, Arial, sans-serif',
		'variant'        => 'regular',
		'subsets'        => array( 'latin-ext' ),
	),
	'priority'    => 30,
	'output'      => array(
		array(
			'element' => '#site-navigation ul li a',
		),
	),
) );
