<?php
/**
 * Customizer Header
 *
 * Settings for theme header
 *
 * @package  Ippo
 */

/**
 * Section
 */
$wp_customize->add_section( 'header_settings', array(
	'title'    => esc_html__( 'Header Settings', 'ippo-shop' ),
	'priority' => 120
) );


/**
 * Settings
 */

// Header layout
$wp_customize->add_setting( 'header_display_setting', array(
	'default'           => 0,
	'sanitize_callback' => 'ippo_sanitize_checkbox'
));

$wp_customize->add_control( 'header_display_setting', array(
	'label'    => esc_html__( 'Display header menu as "hamburger" icon', 'ippo-shop' ),
	'priority' => 0,
	'section'  => 'header_settings',
	'type'     => 'checkbox'
) );

// Sticky header
$wp_customize->add_setting( 'sticky_header_setting', array(
	'default'           => 1,
	'sanitize_callback' => 'ippo_sanitize_checkbox'
));

$wp_customize->add_control( 'sticky_header_setting', array(
	'label'    => esc_html__( 'Enable sticky header', 'ippo-shop' ),
	'priority' => 1,
	'section'  => 'header_settings',
	'type'     => 'checkbox'
) );

