<?php
/**
 * Customizer Layout
 *
 * Settings for theme layout
 *
 * @package  Ippo
 */

/**
 * Section
 */
$wp_customize->add_section( 'layout_settings', array(
    'title'    => esc_html__( 'Blog Settings', 'ippo-shop' ),
    'priority' => 120
) );

/**
 * Settings
 */

// Blog layout
$wp_customize->add_setting( 'blog_layout_setting', array(
    'default'           => 'three-columns',
    'sanitize_callback' => 'ippo_sanitize_blog_layout'
) );

$wp_customize->add_control( 'blog_layout_setting', array(
    'label'       => esc_html__( 'Blog layout', 'ippo-shop' ),
    'description' => esc_html__( 'Choose type of layout for theme blog', 'ippo-shop' ),
    'priority'    => 0,
    'section'     => 'layout_settings',
    'type'        => 'radio',
    'choices'  => array(
        'three-columns' => esc_html__( 'Three columns', 'ippo-shop' ),
        'four-columns'  => esc_html__( 'Four columns', 'ippo-shop' ),
    ),
) );

// Categories filter
$wp_customize->add_setting( 'category_filter_setting', array(
    'default'           => 1,
    'sanitize_callback' => 'ippo_sanitize_checkbox'
) );

$wp_customize->add_control( 'category_filter_setting', array(
    'label'    => esc_html__( 'Enable posts category filter on blog', 'ippo-shop' ),
    'priority' => 1,
    'section'  => 'layout_settings',
    'type'     => 'checkbox'
) );

// Single post author box
$wp_customize->add_setting( 'author_box_setting', array(
    'default'           => 1,
    'sanitize_callback' => 'ippo_sanitize_checkbox'
) );

$wp_customize->add_control( 'author_box_setting', array(
    'label'    => esc_html__( 'Display author box under single post content', 'ippo-shop' ),
    'priority' => 2,
    'section'  => 'layout_settings',
    'type'     => 'checkbox'
) );

