<?php
/**
 * Customizer Layout
 *
 * Settings for paging type
 *
 * @package  Ippo
 */

/**
 * Section
 */
$wp_customize->add_section( 'paging_settings', array(
    'title'    => esc_html__( 'Paging Settings', 'ippo-shop' ),
    'priority' => 123
) );

/**
 * Settings
 */

// Paging Settings
$wp_customize->add_setting( 'paging_setting', array(
    'default'           => 'infinite-scroll',
    'sanitize_callback' => 'ippo_sanitize_select',
) );

$wp_customize->add_control( 'paging_setting', array(
    'label'    => esc_html__( 'Choose Archives Paging Type', 'ippo-shop' ),
    'priority' => 0,
    'section'  => 'paging_settings',
    'type'     => 'select',
    'choices'  => array(
        'infinite-scroll' => esc_html__( 'Infinite Post Load', 'ippo-shop' ),
        'standard-paging' => esc_html__( 'Numbers Paging', 'ippo-shop' )
    ),
) );

// Infinite Scroll Settings
$wp_customize->add_setting( 'infinite_scroll_type', array(
    'default'           => 'click',
    'sanitize_callback' => 'ippo_sanitize_select',
) );

$wp_customize->add_control( 'infinite_scroll_type', array(
    'label'       => esc_html__( 'Choose infinite load type', 'ippo-shop' ),
    'description' => esc_html__( '( If infinite scroll choosen )', 'ippo-shop' ),
    'priority'    => 1,
    'section'     => 'paging_settings',
    'type'        => 'select',
    'choices'     => array(
        'scroll' => esc_html__( 'On scroll', 'ippo-shop' ),
        'click'  => esc_html__( 'On click', 'ippo-shop' )
    ),
) );

