<?php
/**
 * Customizer Portfolio
 *
 * Settings for theme portfolio page
 *
 * @package  Ippo
 */

/**
 * Section
 */
$wp_customize->add_section( 'portfolio_settings', array(
    'title'    => esc_html__( 'Portfolio Settings', 'ippo-shop' ),
    'priority' => 121
) );


/**
 * Settings
 */

// Portfolio layout
$wp_customize->add_setting( 'portfolio_layout_setting', array(
    'default'           => 'four-columns',
    'sanitize_callback' => 'ippo_sanitize_blog_layout'
) );

$wp_customize->add_control( 'portfolio_layout_setting', array(
    'label'       => esc_html__( 'Portfolio layout', 'ippo-shop' ),
    'description' => esc_html__( 'Choose type of layout for portfolio archives', 'ippo-shop' ),
    'priority'    => 0,
    'section'     => 'portfolio_settings',
    'type'        => 'radio',
    'choices' => array(
        'three-columns' => esc_html__( 'Three columns', 'ippo-shop' ),
        'four-columns'  => esc_html__( 'Four columns', 'ippo-shop' )
    ),
) );

// Portfolio category filter
$wp_customize->add_setting( 'portfolio_category_filter_setting', array(
    'default'           => 1,
    'sanitize_callback' => 'ippo_sanitize_checkbox'
) );

$wp_customize->add_control( 'portfolio_category_filter_setting', array(
    'label'    => esc_html__( 'Enable portfolio type filter on portfolio archives pages', 'ippo-shop' ),
    'priority' => 1,
    'section'  => 'portfolio_settings',
    'type'     => 'checkbox'
) );

// Single portfolio author box
$wp_customize->add_setting( 'portfolio_author_box_setting', array(
    'default'           => 1,
    'sanitize_callback' => 'ippo_sanitize_checkbox'
) );

$wp_customize->add_control( 'portfolio_author_box_setting', array(
    'label'    => esc_html__( 'Display author box under single portfolio content', 'ippo-shop' ),
    'priority' => 2,
    'section'  => 'portfolio_settings',
    'type'     => 'checkbox'
) );

// Projects per page
$wp_customize->add_setting( 'projects_per_page', array(
    'default'           => 9,
    'sanitize_callback' => 'ippo_sanitize_text'
) );

$wp_customize->add_control( 'projects_per_page', array(
    'label'    => esc_html__( 'Number of projects to display on archives', 'ippo-shop' ),
    'priority' => 3,
    'section'  => 'portfolio_settings',
    'type'     => 'number'
) );

