<?php
/**
 * Customization of Shop
 *
 * @package Ippo
 */

/**
 * Section
 */
$wp_customize->add_section( 'shop_section', array(
	'title'    => esc_html__( 'Shop Settings', 'ippo-shop' ),
	'priority' => 122,
) );

// Number of columns
$wp_customize->add_setting( 'shop_layout_setting', array(
	'default'           => 'three-columns',
	'sanitize_callback' => 'ippo_sanitize_blog_layout'
) );

$wp_customize->add_control( 'shop_layout_setting', array(
	'label'       => esc_html__( 'Shop layout', 'ippo-shop' ),
	'description' => esc_html__( 'Choose type of layout for shop', 'ippo-shop' ),
	'priority'    => 0,
	'section'     => 'shop_section',
	'type'        => 'radio',
	'choices'  => array(
		'three-columns' => esc_html__( 'Three columns', 'ippo-shop' ),
		'four-columns'  => esc_html__( 'Four columns', 'ippo-shop' )
	),
) );

// Shop Sidebar type
$wp_customize->add_setting( 'shop_sidebar_settings', array(
	'default'           => 'default',
	'sanitize_callback' => 'ippo_sanitize_select'
) );

$wp_customize->add_control( 'shop_sidebar_settings', array(
	'settings'    => 'shop_sidebar_settings',
	'priority'    => 1,
	'label'       => esc_html__( 'Shop widget area type', 'ippo-shop' ),
	'description' => esc_html__( 'Choose what type of widget area you would like to display on shop page. A standard sidebar or a popup triggered with a icon click', 'ippo-shop' ),
	'section'     => 'shop_section',
	'type'        => 'select',
	'choices'     => array(
		'default' => esc_html__( 'Sidebar', 'ippo-shop' ),
		'popup'   => esc_html__( 'Popup', 'ippo-shop' )
	)
) );

// Display product na on single product
$wp_customize->add_setting( 'single_product_nav', array(
	'default'           => 1,
	'sanitize_callback' => 'ippo_sanitize_checkbox'
));

$wp_customize->add_control( 'single_product_nav', array(
	'label'    => esc_html__( 'Display previous and next product nav on single product page', 'ippo-shop' ),
	'priority' => 2,
	'section'  => 'shop_section',
	'type'     => 'checkbox'
) );
