<?php
/**
 * Post metaboxes configuration
 *
 * @package  Ippo
 */


$prefix     = 'ippo_';
$meta_boxes = array(
	array(
		'id'       => 'post_format_gallery',
		'title'    => esc_html__( 'Gallery Fields', 'ippo-shop' ),
		'pages'    => array( 'post' ),
		'context'  => 'normal',
		'priority' => 'high',
		'fields'   => array(
			array(
				'label' => esc_html__( 'Repeatable', 'ippo-shop' ),
				'name'  => esc_html__( 'Gallery images', 'ippo-shop' ),
				'desc'  => '',
				'id'    => $prefix . 'repeatable',
				'type'  => 'repeatable'
			)
		)
	),
	array(
		'id'       => 'post_format_link',
		'title'    => esc_html__( 'Link', 'ippo-shop' ),
		'pages'    => array( 'post' ),
		'context'  => 'normal',
		'priority' => 'high',
		'fields'   => array(
			array(
				'name' => esc_html__( 'Link Text', 'ippo-shop' ),
				'desc' => '',
				'id'   => $prefix . 'link_text',
				'type' => 'textarea',
				'std'  => '',
				'options' => array(
					'rows' => '4',
					'cols' => '12'
				)
			),
			array(
				'name' => esc_html__( 'Link Title', 'ippo-shop' ),
				'desc' => '',
				'id'   => $prefix . 'link_title',
				'type' => 'text',
				'std'  => ''
			),
			array(
				'name' => esc_html__( 'Link Url', 'ippo-shop' ),
				'desc' => '',
				'id'   => $prefix . 'link_url',
				'type' => 'text',
				'std'  => ''
			)
		)
	),
	array(
		'id'       => 'post_format_quote',
		'title'    => esc_html__( 'Quote Text', 'ippo-shop' ),
		'pages'    => array( 'post' ),
		'context'  => 'normal',
		'priority' => 'high',
		'fields'   => array(
			array(
				'name' => esc_html__( 'Quote Text', 'ippo-shop' ),
				'desc' => '',
				'id'   => $prefix . 'quote',
				'type' => 'textarea',
				'std'  => '',
				'options' => array(
					'rows' => '4',
					'cols' => '12'
				)
			),
			array(
				'name' => esc_html__( 'Quote Author', 'ippo-shop' ),
				'desc' => '',
				'id'   => $prefix . 'quote_author',
				'type' => 'text',
				'std'  => ''
			)
		)
	),
	array(
		'id'       => 'post_format_video',
		'title'    => esc_html__( 'Video Link', 'ippo-shop' ),
		'pages'    => array( 'post', 'gallery', 'event' ),
		'context'  => 'normal',
		'priority' => 'high',
		'fields'   => array(
			array(
				'name' => esc_html__( 'Video Link', 'ippo-shop' ),
				'desc' => esc_html__( 'Paste your video link (e.g. http://www.youtube.com/watch?v=zMtKfSSGkIY or https://vimeo.com/64814911)', 'ippo-shop' ),
				'id'   => $prefix . 'video_link',
				'type' => 'text',
				'std'  => '',
				'options' => array(
					'rows' => '4',
					'cols' => '12'
				)
			)
		)
	),
	array(
		'id'       => 'post_format_audio',
		'title'    => esc_html__( 'Audio Options', 'ippo-shop' ),
		'pages'    => array( 'post' ),
		'context'  => 'normal',
		'priority' => 'high',
		'fields'   => array(
			array(
				'name' => esc_html__( 'Audio Link', 'ippo-shop' ),
				'desc' => esc_html__( 'Paste your audio link or audio embed HTML code', 'ippo-shop' ),
				'id'   => $prefix . 'audio_link',
				'type' => 'textarea',
				'std'  => '',
				'options' => array(
					'rows' => '4',
					'cols' => '12'
				)
			),
		)
	),

	/* Front Page Meta Boxes */
	array(
		'id'       => 'slide_text',
		'title'    => esc_html__( 'Slide Text And Button', 'ippo-shop' ),
		'pages'    => array( 'slide' ),
		'context'  => 'normal',
		'priority' => 'high',
		'fields'   => array(
			array(
				'name' => esc_html__( 'Slide text ( content )', 'ippo-shop' ),
				'desc' => esc_html__( 'This text will be displayed under the slide headline / title', 'ippo-shop' ),
				'id'   => $prefix . 'slide_desc',
				'type' => 'wptextarea',
				'std'  => '',
				'options' => array(
					'rows' => '6',
					'cols' => '12'
				)
			),
			array(
				'name' => esc_html__( 'Headline Font Size', 'ippo-shop' ),
				'desc' => esc_html__( 'Enter headline font size in px', 'ippo-shop' ),
				'id'   => $prefix . 'slide_headline_size',
				'type' => 'number',
				'std'  => '50'
			),
			array(
				'name' => esc_html__( 'Headline Url', 'ippo-shop' ),
				'desc' => esc_html__( 'Paste your headline url here ( e.g. http://www.mylink.com )', 'ippo-shop' ),
				'id'   => $prefix . 'slide_link',
				'type' => 'text',
				'std'  => ''
			),
			array(
				'name' => esc_html__( 'Headline Color', 'ippo-shop' ),
				'desc' => esc_html__( 'Select Headline color', 'ippo-shop' ),
				'id'   => $prefix . 'headline_color',
				'type' => 'colorpicker',
				'std'  => '#000'
			),
			array(
				'name' => esc_html__( 'Headline Hover Color', 'ippo-shop' ),
				'desc' => esc_html__( 'Select Headline Hover Color', 'ippo-shop' ),
				'id'   => $prefix . 'headline_hover_color',
				'type' => 'colorpicker',
				'std'  => '#fff'
			),
			array(
				'name' => esc_html__( 'Text Color', 'ippo-shop' ),
				'desc' => esc_html__( 'Select Text color', 'ippo-shop' ),
				'id'   => $prefix . 'text_color',
				'type' => 'colorpicker',
				'std'  => '#000'
			),
			array(
				'name'    => esc_html__( 'Text alignment', 'ippo-shop' ),
				'desc'    => esc_html__( 'Choose where to display slider text', 'ippo-shop' ),
				'id'      => $prefix . 'slider_text_alignment',
				'type'    => 'select',
				'options' => array(
					'Center' => 'center-txt',
					'Left'   => 'left-txt',
					'Right'  => 'right-txt'
				)
			)
		)
	),
	array(
		'id'       => 'brand_link',
		'title'    => esc_html__( 'Brand fields', 'ippo-shop' ),
		'pages'    => array( 'brand' ),
		'context'  => 'normal',
		'priority' => 'high',
		'fields'   => array(
			array(
				'name' => esc_html__( 'Brand link', 'ippo-shop' ),
				'desc' => esc_html__( 'Enter URL for this brand. It will be linked to that URL ( e.g. http://www.myurl.com )', 'ippo-shop' ),
				'id'   => $prefix . 'brand_link',
				'type' => 'text',
				'std'  => ''
			)
		),
	),
	array(
		'id'       => 'single_product_split',
		'title'    => esc_html__( 'Split Screen Layout', 'ippo-shop' ),
		'pages'    => array( 'product' ),
		'context'  => 'side',
		'priority' => 'high',
		'fields'   => array(
			array(
				'label' => esc_html__( 'Split Screen Layout', 'ippo-shop' ),
				'desc'  => esc_html__( 'Display your product page in split view: one half with an image slider, the other half with your product’s description. This option does not apply for variable products', 'ippo-shop' ),
				'id'    => $prefix . 'single_product_split',
				'type'  => 'checkbox'
			)
		)
	)

);
