<?php
/**
 * TGM PLUGIN ACTIVATION
 *
 * Activates plugins needed by theme
 *
 * @package  Ippo
 */

// Activate TGM Class
require_once get_template_directory() . '/inc/apis/class-tgm-plugin-activation.php';

if ( ! function_exists( 'ippo_register_slider_plugin' ) ) {
    function ippo_register_slider_plugin() {
        $plugins = array(
            array(
                'name'               => esc_html__( 'TK Social Share', 'ippo-shop' ), // The plugin name
                'slug'               => 'tk-social-share', // The plugin slug (typically the folder name)
                'source'             => 'https://s3-eu-west-1.amazonaws.com/tk-public-downloads/tk-social-share.zip', // The plugin source
                'required'           => false, // If false, the plugin is onl    y 'recommended' instead of required
                'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                'force_deactivation' => true, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                'external_url'       => 'http://www.themeskingdom.com', // If set, overrides default API URL and points to an external URL
            ),
            array(
                'name'               => esc_html__( 'TK Advertising Widget', 'ippo-shop' ), // The plugin name
                'slug'               => 'tk-advertising-widget', // The plugin slug (typically the folder name)
                'source'             => 'https://s3-eu-west-1.amazonaws.com/tk-public-downloads/tk-advertising-widget.zip', // The plugin source
                'required'           => false, // If false, the plugin is onl    y 'recommended' instead of required
                'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                'force_deactivation' => true, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                'external_url'       => 'http://www.themeskingdom.com', // If set, overrides default API URL and points to an external URL
            ),
            array(
                'name'               => esc_html__( 'TK Shortcodes', 'ippo-shop' ), // The plugin name
                'slug'               => 'tk-shortcodes', // The plugin slug (typically the folder name)
                'source'             => 'https://s3-eu-west-1.amazonaws.com/tk-public-downloads/tk-shortcodes.zip', // The plugin source
                'required'           => false, // If false, the plugin is onl    y 'recommended' instead of required
                'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                'force_deactivation' => true, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                'external_url'       => 'http://www.themeskingdom.com', // If set, overrides default API URL and points to an external URL
            ),
            array(
                'name'               => esc_html__( 'Ippo Widgets', 'ippo-shop' ), // The plugin name
                'slug'               => 'ippo-widgets', // The plugin slug (typically the folder name)
                'source'             => 'https://s3-eu-west-1.amazonaws.com/tk-public-downloads/ippo-widgets.zip', // The plugin source
                'required'           => false, // If false, the plugin is onl    y 'recommended' instead of required
                'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                'force_deactivation' => true, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                'external_url'       => 'http://www.themeskingdom.com', // If set, overrides default API URL and points to an external URL
            ),
            array(
                'name'               => esc_html__( 'TK Contact Form', 'ippo-shop' ), // The plugin name
                'slug'               => 'tk-contact-form', // The plugin slug (typically the folder name)
                'source'             => 'https://s3-eu-west-1.amazonaws.com/tk-public-downloads/tk-contact-form.zip', // The plugin source
                'required'           => false, // If false, the plugin is onl    y 'recommended' instead of required
                'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                'force_deactivation' => true, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                'external_url'       => 'http://www.themeskingdom.com', // If set, overrides default API URL and points to an external URL
            ),
            array(
                'name'               => esc_html__( 'Ippo Shop Custom Post Types', 'ippo-shop' ), // The plugin name
                'slug'               => 'ippo-custom-post-types', // The plugin slug (typically the folder name)
                'source'             => 'https://s3-eu-west-1.amazonaws.com/tk-public-downloads/ippo-shop-custom-post-types.zip', // The plugin source
                'required'           => true, // If false, the plugin is onl    y 'recommended' instead of required
                'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                'force_deactivation' => true, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                'external_url'       => 'http://www.themeskingdom.com', // If set, overrides default API URL and points to an external URL
            ),
            array(
                'name'               => esc_html__( 'Widget Visibility', 'ippo-shop' ), // The plugin name
                'slug'               => 'widget-visibility', // The plugin slug (typically the folder name)
                'required'           => false, // If false, the plugin is onl    y 'recommended' instead of required
            ),
            array(
                'name'               => esc_html__( 'Flickr Bagdes Widget', 'ippo-shop' ), // The plugin name
                'slug'               => 'flickr-badges-widget', // The plugin slug (typically the folder name)
                'required'           => false, // If false, the plugin is onl    y 'recommended' instead of required
            ),
            array(
                'name'               => esc_html__( 'One Click Demo Import', 'ippo-shop' ), // The plugin name
                'slug'               => 'one-click-demo-import', // The plugin slug (typically the folder name)
                'required'           => false, // If false, the plugin is only 'recommended' instead of required
            ),
            array(
                'name'               => esc_html__( 'WP Instagram Widget', 'ippo-shop' ), // The plugin name
                'slug'               => 'wp-instagram-widget', // The plugin slug (typically the folder name)
                'required'           => false, // If false, the plugin is only 'recommended' instead of required
            ),
            array(
                'name'               => esc_html__( 'Kirki', 'ippo-shop' ), // The plugin name
                'slug'               => 'kirki', // The plugin slug (typically the folder name)
                'required'           => false, // If false, the plugin is only 'recommended' instead of required
            ),
        );

        if ( ippo_is_woocommerce_activated() ) :

            $plugins[] =
                array(
                    'name'     => esc_html__( 'Color Filters for WooCommerce', 'ippo-shop' ), // The plugin name
                    'slug'     => 'color-filters', // The plugin slug (typically the folder name)
                    'required' => false, // If false, the plugin is onl    y 'recommended' instead of required
            );

        endif;

        $config = array(
            'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
            'default_path' => '',                      // Default absolute path to bundled plugins.
            'menu'         => 'tgmpa-install-plugins', // Menu slug.
            'parent_slug'  => 'themes.php',            // Parent menu slug.
            'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
            'has_notices'  => true,                    // Show admin notices or not.
            'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
            'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
            'is_automatic' => false,                   // Automatically activate plugins after installation or not.
            'message'      => '',                      // Message to output right before the plugins table.

        );
        tgmpa( $plugins, $config );
    } // function
    add_action( 'tgmpa_register', 'ippo_register_slider_plugin' );
} // if
