<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Ippo
 */

get_header(); ?>

	<?php if ( have_posts() ) : ?>

		<header class="page-header">
			<h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'ippo-shop' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
		</header><!-- .page-header -->

	<?php endif; ?>

	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<div id="post-load">

				<?php

					if ( have_posts() ) :

						/* Start the Loop */
						while ( have_posts() ) : the_post();

							get_template_part( 'templates/template-parts/content', 'search' );

						endwhile;
				?>

				<!-- Archives numbered paging -->
				<div class="container container-small">
					<?php	ippo_numbers_pagination(); ?>
				</div>

				<?php

					else :

						get_template_part( 'templates/template-parts/content', 'none' );

					endif;

				?>

			</div>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php
get_footer();
