<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Ippo
 */

get_header(); ?>

	<div class="container container-medium">

		<?php while ( have_posts() ) : the_post(); ?>

			<div class="hero clear">
				<!-- Featured media -->
				<?php ippo_featured_media(); ?>

				<div class="entry-header">
					<!-- Entry header -->
					<?php ippo_entry_header( 'single' ); ?>
				</div>
			</div>

			<div class="row">

				<div id="primary" class="content-area <?php ippo_content_classes(); ?>">
					<main id="main" class="site-main" role="main">

						<div class="container container-small">

							<?php get_template_part( 'templates/template-parts/content', get_post_format() ); ?>

						</div><!-- .container.container-small -->

						<?php

							// Author box
							ippo_author_box();

							// Post navigation
							ippo_post_navigation();

							// Related posts
							ippo_related_posts();

							// If comments are open or we have at least one comment, load up the comment template.
							comments_template();

						?>

					</main><!-- #main -->
				</div><!-- #primary -->

				<?php get_sidebar(); ?>

			</div><!-- .row -->

		<?php endwhile; // End of the loop. ?>

	</div><!-- .container.container-medium -->

<?php

get_footer();
