<?php
/**
 * Template Name: Headline template
 *
 * @package Ippo
 */

get_header();

$paging_type = get_theme_mod( 'paging_setting', 'infinite-scroll' );

?>

	<div class="container main-container">
		<div class="row">
			<div id="primary" class="content-area <?php ippo_content_classes(); ?>">
				<main id="main" class="site-main" role="main">

				<?php

					if ( get_query_var( 'paged' ) ) {
						$paged = get_query_var( 'paged' );
					}
					elseif ( get_query_var( 'page' ) ) {
						$paged = get_query_var( 'page' );
					}
					else {
						$paged = 1;
					}

					$args = array(
						'posts_per_page' => get_option( 'posts_per_page' ),
						'paged'			 => $paged
					);

					$wp_query = new WP_Query( $args );

					if ( $wp_query->have_posts() ) : ?>

						<div class="row">
							<div class="masonry">

								<div class="<?php ippo_grid_sizer_class(); ?>"></div>

								<?php

									while ( $wp_query->have_posts() ) : $wp_query->the_post();

										get_template_part( 'templates/template-parts/content', get_post_format() );

									endwhile;

									if ( 'infinite-scroll' == $paging_type ) {
										ippo_is_pagination();
									}

								?>

							</div><!-- .masonry -->
						</div><!-- .row -->

					<?php

						if ( 'infinite-scroll' != $paging_type ) {
							// Archives numbered paging
							ippo_numbers_pagination();
						}

						wp_reset_postdata();

					else :

						get_template_part( 'templates/template-parts/content', 'none' );

					endif;

				?>

				</main><!-- #main -->
			</div><!-- #primary -->

			<?php get_sidebar(); ?>
		</div><!-- .row -->
	</div><!-- .container -->

<?php

get_footer();

