<?php
/**
 * Template part for displaying link posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Ippo
 */

$link_text    = get_post_meta( get_the_ID(), 'ippo_link_text', true );
$link_title   = get_post_meta( get_the_ID(), 'ippo_link_title', true );
$link_address = get_post_meta( get_the_ID(), 'ippo_link_url', true );

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <div class="entry-content">
        <?php

            if ( is_single() ) {
                printf('<h2>%s</h2>', esc_html( $link_text ) );
            } else {
                printf('<h2 class="entry-title">%s</h2>', esc_html( $link_text ) );
            }

            printf( '<a href="%s">%s</a>', esc_url( $link_address ), esc_html( $link_title ) );

        ?>
    </div><!-- .entry-content -->

    <?php if ( is_single() ) : ?>

        <footer class="entry-footer">
            <?php ippo_entry_footer(); ?>
        </footer><!-- .entry-footer -->

    <?php endif; ?>

</article><!-- #post-## -->
