<?php
/**
 * Content for Related posts on single post page
 *
 * @package  Ippo
 */
?>

<div class="jp-relatedposts-post jp-relatedposts-post-thumbs">

    <a class="jp-relatedposts-post-a" href="<?php the_permalink(); ?>" title="<?php echo esc_attr( get_the_title() ); ?>">

        <?php

            if ( 'gallery' == get_post_format() ) :

                $gallery_images = get_post_meta( get_the_ID(), 'ippo_repeatable', true );

                if ( $gallery_images && $gallery_images[0] !== '' ) {
                    printf( '<img src="%s" alt="post-gallery-image">', esc_url( $gallery_images[0] ) );
                } else {
                    the_post_thumbnail();
                }

            else :

                the_post_thumbnail();

            endif;
        ?>

    </a>

    <h4 class="jp-relatedposts-post-title">
        <a class="jp-relatedposts-post-a" href="<?php the_permalink(); ?>" title="<?php echo esc_attr( get_the_title() ); ?>">
            <?php the_title(); ?>
        </a>
    </h4>

    <p class="jp-relatedposts-post-context">
        <?php

            esc_html_e( 'In ', 'ippo-shop' );

            $categories = get_the_category();

            if ( ! empty( $categories ) ) {
                echo esc_html( $categories[0]->name );
            }

        ?>
    </p>

</div>
